return {
PlaceObj('ModItemBuildingTemplate', {
	'name', "FusionReactor_SPlus_4#",
	'template_class', "FusionReactor",
	'pin_rollover_context', "electricity",
	'construction_cost_Concrete', 40000,
	'construction_cost_Polymers', 20000,
	'construction_cost_Electronics', 20000,
	'build_points', 15000,
	'dome_forbidden', true,
	'upgrade1_id', "FusionReactor_Autoregulator",
	'upgrade1_display_name', T{680939970640, --[[ModItemBuildingTemplate FusionReactor_SPlus_4# upgrade1_display_name]] "自动调节器"},
	'upgrade1_description', T{100979956825, --[[ModItemBuildingTemplate FusionReactor_SPlus_4# upgrade1_description]] "工作场所减少<abs(upgrade1_add_value_1)>。"},
	'upgrade1_icon', "UI/Icons/Upgrades/autoregulator_01.tga",
	'upgrade1_upgrade_cost_Polymers', 10000,
	'upgrade1_mod_label_1', "FusionReactor",
	'upgrade1_mod_prop_id_1', "max_workers",
	'upgrade1_add_value_1', -2,
	'upgrade2_id', "FusionReactor_EternalFusion",
	'upgrade2_display_name', T{308805099032, --[[ModItemBuildingTemplate FusionReactor_SPlus_4# upgrade2_display_name]] "永恒核聚变"},
	'upgrade2_description', T{101796928743, --[[ModItemBuildingTemplate FusionReactor_SPlus_4# upgrade2_description]] "此建筑物不再需要人员操作，且维持工作效率为 <upgrade2_add_value_2>"},
	'upgrade2_icon', "UI/Icons/Upgrades/eternal_fusion_01.tga",
	'upgrade2_upgrade_cost_Polymers', 10000,
	'upgrade2_mod_prop_id_1', "automation",
	'upgrade2_add_value_1', 1,
	'upgrade2_mod_prop_id_2', "auto_performance",
	'upgrade2_add_value_2', 150,
	'upgrade2_mod_prop_id_3', "max_workers",
	'upgrade2_mul_value_3', -100,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 3000,
	'display_name', T{201259527321, --[[ModItemBuildingTemplate FusionReactor_SPlus_4# display_name]] "<color 2 228 225>聚变反应堆</color>"},
	'display_name_pl', T{407602911500, --[[ModItemBuildingTemplate FusionReactor_SPlus_4# display_name_pl]] "<color 2 228 225>聚变反应堆</color>"},
	'description', T{745800639182, --[[ModItemBuildingTemplate FusionReactor_SPlus_4# description]] "生产大量的能源"},
	'build_category', "Power",
	'display_icon', "UI/Icons/Buildings/fusion_reactor.tga",
	'build_pos', 5,
	'entity', "FusionReactor",
	'encyclopedia_image', "UI/Encyclopedia/FusionReactor.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "UniversalExtractor",
	'demolish_sinking', range(10, 20),
	'demolish_tilt_angle', range(300, 600),
	'electricity_production', 500000,
	'max_workers', 8,
	'specialist', "engineer",
	'automation', 20,
	'auto_performance', 30,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "SolarPanelBig_SPlus_4#",
	'template_class', "SolarPanel",
	'pin_rollover_context', "electricity",
	'construction_cost_Metals', 4000,
	'build_points', 500,
	'show_range_class', "ArtificialSun",
	'upgrade1_id', "WindTurbine_PolymerBlades",
	'upgrade1_display_name', T{397802112373, --[[ModItemBuildingTemplate SolarPanelBig_SPlus_4# upgrade1_display_name]] "升級"},
	'upgrade1_description', T{961194487274, --[[ModItemBuildingTemplate SolarPanelBig_SPlus_4# upgrade1_description]] "+100% 产量。"},
	'upgrade1_upgrade_cost_Concrete', 1000,
	'upgrade1_upgrade_cost_Metals', 1000,
	'upgrade1_upgrade_cost_Polymers', 1000,
	'upgrade1_upgrade_cost_Electronics', 1000,
	'upgrade1_upgrade_cost_MachineParts', 1000,
	'upgrade1_mod_label_1', "WindTurbine",
	'upgrade1_mod_prop_id_1', "electricity_production",
	'upgrade1_mul_value_1', 100,
	'maintenance_resource_type', "Metals",
	'display_name', T{793671846402, --[[ModItemBuildingTemplate SolarPanelBig_SPlus_4# display_name]] "<color 2 228 225>大型太阳能板</color>"},
	'display_name_pl', T{258577758946, --[[ModItemBuildingTemplate SolarPanelBig_SPlus_4# display_name_pl]] "<color 2 228 225>大型太阳能板</color>"},
	'description', T{933436098225, --[[ModItemBuildingTemplate SolarPanelBig_SPlus_4# description]] "白天时能发电。发电效率会受到尘埃密集度和沙尘暴的影响。关闭后能避免积尘。"},
	'build_category', "Power",
	'display_icon', "UI/Icons/Buildings/solar_panel.tga",
	'entity', "SolarPanelBig",
	'encyclopedia_image', "UI/Encyclopedia/SolarPanel.tga",
	'build_shortcut1', "N",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "Outside_01",
	'demolish_sinking', range(5, 15),
	'demolish_tilt_angle', range(300, 600),
	'electricity_production', 30000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "SolarPanel_SPlus_4#",
	'template_class', "SolarPanel",
	'pin_rollover_context', "electricity",
	'construction_cost_Metals', 1000,
	'build_points', 500,
	'show_range_class', "ArtificialSun",
	'maintenance_resource_type', "Metals",
	'maintenance_resource_amount', 500,
	'display_name', T{813435635902, --[[ModItemBuildingTemplate SolarPanel_SPlus_4# display_name]] "<color 2 228 225>太阳能板</color>"},
	'display_name_pl', T{598012084043, --[[ModItemBuildingTemplate SolarPanel_SPlus_4# display_name_pl]] "<color 2 228 225>太阳能板</color>"},
	'description', T{680193729163, --[[ModItemBuildingTemplate SolarPanel_SPlus_4# description]] "白天时能发电。发电效率会受到尘埃密集度和沙尘暴的影响。关闭后能避免积尘。"},
	'build_category', "Power",
	'display_icon', "UI/Icons/Buildings/solar_panel.tga",
	'entity', "SolarPanel",
	'encyclopedia_image', "UI/Encyclopedia/SolarPanel.tga",
	'build_shortcut1', "N",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "Outside_01",
	'demolish_sinking', range(5, 15),
	'demolish_tilt_angle', range(300, 600),
	'electricity_production', 10000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "StirlingGenerator",
	'template_class', "StirlingGenerator",
	'pin_rollover_context', "electricity",
	'construction_cost_Metals', 20000,
	'construction_cost_Polymers', 12000,
	'construction_cost_Electronics', 6000,
	'construction_cost_MachineParts', 10000,
	'build_points', 1000,
	'require_prefab', true,
	'upgrade1_id', "StirlingGenerator_PlutoniumCore",
	'upgrade1_display_name', T{552291306982, --[[ModItemBuildingTemplate StirlingGenerator upgrade1_display_name]] "钸核心"},
	'upgrade1_description', T{323443178725, --[[ModItemBuildingTemplate StirlingGenerator upgrade1_description]] "+<upgrade1_mul_value_1>% 打开时增加额外的电量。"},
	'upgrade1_icon', "UI/Icons/Upgrades/plutonium_core_01.tga",
	'upgrade1_upgrade_cost_Metals', 5000,
	'upgrade1_upgrade_cost_Polymers', 5000,
	'upgrade1_upgrade_cost_Electronics', 5000,
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "StirlingGenerator",
	'upgrade1_mod_prop_id_1', "production_factor_interacted",
	'upgrade1_mul_value_1', 50,
	'upgrade2_id', "WindTurbine_PolymerBlades",
	'upgrade2_display_name', T{625804889135, --[[ModItemBuildingTemplate StirlingGenerator upgrade2_display_name]] "改進钸核心"},
	'upgrade2_description', T{717947076278, --[[ModItemBuildingTemplate StirlingGenerator upgrade2_description]] "+100% 产量。"},
	'upgrade2_upgrade_cost_Metals', 20000,
	'upgrade2_upgrade_cost_Polymers', 20000,
	'upgrade2_upgrade_cost_Electronics', 20000,
	'upgrade2_upgrade_cost_MachineParts', 20000,
	'upgrade2_mod_label_1', "StirlingGenerator",
	'upgrade2_mod_prop_id_1', "electricity_production",
	'upgrade2_mul_value_1', 100,
	'upgrade3_id', "MOXIE_MagneticFiltering",
	'upgrade3_display_name', T{485342402060, --[[ModItemBuildingTemplate StirlingGenerator upgrade3_display_name]] "強化钸核心"},
	'upgrade3_description', T{260925849418, --[[ModItemBuildingTemplate StirlingGenerator upgrade3_description]] "+200% 产量。"},
	'upgrade3_upgrade_cost_Metals', 50000,
	'upgrade3_upgrade_cost_Polymers', 50000,
	'upgrade3_upgrade_cost_Electronics', 50000,
	'upgrade3_upgrade_cost_MachineParts', 50000,
	'upgrade3_upgrade_cost_PreciousMetals', 20000,
	'upgrade3_mod_label_1', "MOXIE",
	'upgrade3_mod_prop_id_1', "electricity_production",
	'upgrade3_mul_value_1', 200,
	'maintenance_resource_type', "Polymers",
	'display_name', T{415271415455, --[[ModItemBuildingTemplate StirlingGenerator display_name]] "<color 2 228 225>斯特林发电机</color>"},
	'display_name_pl', T{348373735725, --[[ModItemBuildingTemplate StirlingGenerator display_name_pl]] "<color 2 228 225>斯特林发电机</color>"},
	'description', T{164554462543, --[[ModItemBuildingTemplate StirlingGenerator description]] "产生电力"},
	'build_category', "Power",
	'display_icon', "UI/Icons/Buildings/stirling_generator.tga",
	'build_pos', 4,
	'entity', "StirlingGenerator",
	'encyclopedia_image', "UI/Encyclopedia/StirlingGenerator.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "StirlingGenerator",
	'demolish_sinking', range(5, 10),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 80,
	'electricity_production', 20000,
	'production_factor_interacted', 300,
	'daily_dust_accumulation', 5000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "WindTurbine_SPlus_4#",
	'template_class', "WindTurbine",
	'pin_rollover_context', "electricity",
	'construction_cost_Concrete', 4000,
	'construction_cost_MachineParts', 1000,
	'build_points', 1500,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "WindTurbine_PolymerBlades",
	'upgrade1_display_name', T{227669446522, --[[ModItemBuildingTemplate WindTurbine_SPlus_4# upgrade1_display_name]] "聚合物叶片"},
	'upgrade1_description', T{934293736088, --[[ModItemBuildingTemplate WindTurbine_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 产量。"},
	'upgrade1_icon', "UI/Icons/Upgrades/polymer_blades_01.tga",
	'upgrade1_upgrade_cost_Polymers', 2000,
	'upgrade1_mod_label_1', "WindTurbine",
	'upgrade1_mod_prop_id_1', "electricity_production",
	'upgrade1_mul_value_1', 100,
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 500,
	'display_name', T{703384368094, --[[ModItemBuildingTemplate WindTurbine_SPlus_4# display_name]] "<color 2 228 225>风力发电机</color>"},
	'display_name_pl', T{769998028331, --[[ModItemBuildingTemplate WindTurbine_SPlus_4# display_name_pl]] "<color 2 228 225>风力发电机</color>"},
	'description', T{110050317504, --[[ModItemBuildingTemplate WindTurbine_SPlus_4# description]] "产生电力。在沙尘暴和高海拔地区增加发电量。"},
	'build_category', "Power",
	'display_icon', "UI/Icons/Buildings/wind_turbine.tga",
	'build_pos', 3,
	'entity', "WindTurbine",
	'encyclopedia_text', T{563043721080, --[[ModItemBuildingTemplate WindTurbine_SPlus_4# encyclopedia_text]] "风力发电机从火星风中产生电力。产生的量取决于它们暴露的风力有多大，所以适当的定位是必不可少的，因为更高的地面往往有更多的风。\n\n<center><image UI/Common/rollover_line.tga 2000> <left>\n\n虽然火星上的风速一般较低，但在沙尘暴期间可以达到令人难以置信的速度。尽管如此，薄薄的火星大气表明，平均风力发电机需要比地球上风力发电机强六倍的风力来产生相同数量的推力。\n \n通过能够从各个方向捕捉风的垂直轴风力发电机，而不是简单地水平，解决了利用火星上的小风的技术挑战。所使用的材料足够轻足以在比地球上弱得多的力量下自行起步。\n"},
	'encyclopedia_image', "UI/Encyclopedia/WindTurbine.tga",
	'entity2', "WindTurbineChrome",
	'entitydlc2', "dde",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "WindTurbine",
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'electricity_production', 20000,
	'bonus_per_kilometer_elevation', 500,
	'min_production_to_work', 0,
	'dust_storm_bonus_percent', 100,
	'great_dust_storm_bonus_percent', 300,
}),
PlaceObj('ModItemCode', {
	'FileName', "Code/Script.lua",
}),
}
