return {
PlaceObj('ModItemBuildingTemplate', {
	'name', "Apartments_SPlus_4#",
	'template_class', "Apartments",
	'construction_cost_Concrete', 350000,
	'construction_cost_Metals', 100000,
	'construction_cost_Polymers', 60000,
	'construction_cost_Electronics', 10000,
	'construction_cost_MachineParts', 10000,
	'construction_cost_PreciousMetals', 10000,
	'build_points', 18000,
	'is_tall', true,
	'dome_required', true,
	'upgrade1_id', "Appartments_HomeCollective",
	'upgrade1_display_name', T{622514191449, --[[ModItemBuildingTemplate Apartments_SPlus_4# upgrade1_display_name]] "居民社群"},
	'upgrade1_description', T{630733871708, --[[ModItemBuildingTemplate Apartments_SPlus_4# upgrade1_description]] "+<upgrade1_add_value_1> 服务舒适度。"},
	'upgrade1_icon', "UI/Icons/Upgrades/home_collective_01.tga",
	'upgrade1_upgrade_cost_Polymers', 5000,
	'upgrade1_mod_label_1', "Apartments",
	'upgrade1_mod_prop_id_1', "service_comfort",
	'upgrade1_add_value_1', 10,
	'maintenance_resource_type', "Concrete",
	'maintenance_resource_amount', 3000,
	'display_name', T{346506197698, --[[ModItemBuildingTemplate Apartments_SPlus_4# display_name]] "<color 2 228 225>公寓</color>"},
	'display_name_pl', T{858736388164, --[[ModItemBuildingTemplate Apartments_SPlus_4# display_name_pl]] "<color 2 228 225>公寓</color>"},
	'description', T{927060100139, --[[ModItemBuildingTemplate Apartments_SPlus_4# description]] "提供殖民者居住空间。休息时，狭小的房间舒适度增加较少。"},
	'build_category', "Habitats",
	'display_icon', "UI/Icons/Buildings/apartments.tga",
	'build_pos', 2,
	'entity', "HiveHabitat",
	'encyclopedia_image', "UI/Encyclopedia/Apartments.tga",
	'entity2', "HiveHabitat_02",
	'entity3', "HiveHabitatDDE",
	'entitydlc3', "dde",
	'entity4', "HiveHabitatDDE_02",
	'entitydlc4', "dde",
	'label1', "InsideBuildings",
	'palettes', "Apartments",
	'demolish_sinking', range(7, 15),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 90,
	'electricity_consumption', 96000,
	'service_comfort', 35000,
	'comfort_increase', 4000,
	'capacity', 300,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "LivingQuarters_SPlus_4#",
	'template_class', "LivingQuarters",
	'construction_cost_Concrete', 100000,
	'construction_cost_Metals', 20000,
	'construction_cost_Polymers', 45000,
	'construction_cost_Electronics', 5000,
	'construction_cost_MachineParts', 5000,
	'construction_cost_PreciousMetals', 2000,
	'build_points', 6000,
	'dome_required', true,
	'show_decals_on_placement', true,
	'upgrade1_id', "LivingQuarters_HomeCollective",
	'upgrade1_display_name', T{971250649049, --[[ModItemBuildingTemplate LivingQuarters_SPlus_4# upgrade1_display_name]] "居民社群"},
	'upgrade1_description', T{248622701055, --[[ModItemBuildingTemplate LivingQuarters_SPlus_4# upgrade1_description]] "+<upgrade1_add_value_1> 服务舒适度。"},
	'upgrade1_icon', "UI/Icons/Upgrades/home_collective_01.tga",
	'upgrade1_upgrade_cost_Polymers', 5000,
	'upgrade1_mod_label_1', "LivingQuarters",
	'upgrade1_mod_prop_id_1', "service_comfort",
	'upgrade1_add_value_1', 10,
	'maintenance_resource_type', "Concrete",
	'display_name', T{606746607394, --[[ModItemBuildingTemplate LivingQuarters_SPlus_4# display_name]] "<color 2 228 225>宿舍</color>"},
	'display_name_pl', T{271752578151, --[[ModItemBuildingTemplate LivingQuarters_SPlus_4# display_name_pl]] "<color 2 228 225>宿舍</color>"},
	'description', T{352157720228, --[[ModItemBuildingTemplate LivingQuarters_SPlus_4# description]] "提供居住空间，休息中居民回复舒适度的速度较其他居民快。"},
	'build_category', "Habitats",
	'display_icon', "UI/Icons/Buildings/living_quarters.tga",
	'entity', "LivingQuarters_01",
	'encyclopedia_image', "UI/Encyclopedia/LivingQuarters.tga",
	'entity2', "LivingQuarters_02",
	'entity3', "LivingQuarters_03",
	'entity4', "LivingQuartersDDE_01",
	'entitydlc4', "dde",
	'entity5', "LivingQuartersDDE_02",
	'entitydlc5', "dde",
	'entity6', "LivingQuartersDDE_03",
	'entitydlc6', "dde",
	'label1', "InsideBuildings",
	'palettes', "Living",
	'demolish_sinking', range(5, 10),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'electricity_consumption', 9000,
	'service_comfort', 50000,
	'comfort_increase', 6000,
	'capacity', 100,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "SmartHome_SPlus_4#",
	'template_class', "SmartHome",
	'construction_cost_Concrete', 15000,
	'construction_cost_Electronics', 10000,
	'dome_required', true,
	'show_decals_on_placement', true,
	'upgrade1_id', "SmartHome_HomeCollective",
	'upgrade1_display_name', T{568670884588, --[[ModItemBuildingTemplate SmartHome_SPlus_4# upgrade1_display_name]] "居民社群"},
	'upgrade1_description', T{880878296596, --[[ModItemBuildingTemplate SmartHome_SPlus_4# upgrade1_description]] "+<upgrade1_add_value_1> 服务舒适度。"},
	'upgrade1_icon', "UI/Icons/Upgrades/home_collective_01.tga",
	'upgrade1_upgrade_cost_Polymers', 5000,
	'upgrade1_mod_label_1', "SmartHome",
	'upgrade1_mod_prop_id_1', "service_comfort",
	'upgrade1_add_value_1', 10,
	'maintenance_resource_type', "Electronics",
	'display_name', T{134038678640, --[[ModItemBuildingTemplate SmartHome_SPlus_4# display_name]] "<color 2 228 225>智能集合式居所</color>"},
	'display_name_pl', T{468968172005, --[[ModItemBuildingTemplate SmartHome_SPlus_4# display_name_pl]] "<color 2 228 225>智能集合式居所</color>"},
	'description', T{814658256399, --[[ModItemBuildingTemplate SmartHome_SPlus_4# description]] "为殖民者提供一个非常舒适的生活空间。 居民在休息时会恢复额外的神志。"},
	'build_category', "Habitats",
	'display_icon', "UI/Icons/Buildings/smart homes.tga",
	'build_pos', 4,
	'entity', "SmartHomeBig_01",
	'encyclopedia_image', "UI/Encyclopedia/SmartComplex.tga",
	'entity2', "SmartHomeBig_02",
	'entity3', "SmartHomeBig_03",
	'entity4', "SmartHomeBigDDE_01",
	'entitydlc4', "dde",
	'entity5', "SmartHomeBigDDE_02",
	'entitydlc5', "dde",
	'entity6', "SmartHomeBigDDE_03",
	'entitydlc6', "dde",
	'label1', "InsideBuildings",
	'palettes', "Grocery",
	'demolish_sinking', range(15, 20),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 90,
	'freeze_heat', 91,
	'electricity_consumption', 48000,
	'sanity_change', 5000,
	'service_comfort', 70000,
	'comfort_increase', 5000,
	'capacity', 150,
	'sanity_increase', 5000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "SmartHome_Small_SPlus_4#",
	'template_class', "SmartHome",
	'construction_cost_Concrete', 50000,
	'construction_cost_Metals', 50000,
	'construction_cost_Polymers', 10000,
	'construction_cost_Electronics', 15000,
	'construction_cost_MachineParts', 10000,
	'build_points', 3000,
	'dome_required', true,
	'show_decals_on_placement', true,
	'upgrade1_id', "SmartHome_HomeCollective",
	'upgrade1_display_name', T{379495326360, --[[ModItemBuildingTemplate SmartHome_Small_SPlus_4# upgrade1_display_name]] "居民社群"},
	'upgrade1_description', T{607174965050, --[[ModItemBuildingTemplate SmartHome_Small_SPlus_4# upgrade1_description]] "+<upgrade1_add_value_1> 服务舒适度。"},
	'upgrade1_icon', "UI/Icons/Upgrades/home_collective_01.tga",
	'upgrade1_upgrade_cost_Polymers', 2000,
	'upgrade1_mod_label_1', "SmartHome_Small",
	'upgrade1_mod_prop_id_1', "service_comfort",
	'upgrade1_add_value_1', 10,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 500,
	'display_name', T{758637971625, --[[ModItemBuildingTemplate SmartHome_Small_SPlus_4# display_name]] "<color 2 228 225>智能居所</color>"},
	'display_name_pl', T{322725590284, --[[ModItemBuildingTemplate SmartHome_Small_SPlus_4# display_name_pl]] "<color 2 228 225>智能居所</color>"},
	'description', T{161121289366, --[[ModItemBuildingTemplate SmartHome_Small_SPlus_4# description]] "为殖民者提供一个非常舒适的生活空间。 居民在休息时会恢复额外的神志。"},
	'build_category', "Habitats",
	'display_icon', "UI/Icons/Buildings/smart_home.tga",
	'build_pos', 3,
	'entity', "SmartHomeSmall_02",
	'encyclopedia_image', "UI/Encyclopedia/SmartHome.tga",
	'entity2', "SmartHomeSmall",
	'entity3', "SmartHomeSmallDDE_02",
	'entitydlc3', "dde",
	'entity4', "SmartHomeSmallDDE",
	'entitydlc4', "dde",
	'label1', "InsideBuildings",
	'demolish_sinking', range(10, 20),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 80,
	'freeze_heat', 91,
	'electricity_consumption', 12000,
	'sanity_change', 5000,
	'service_comfort', 70000,
	'comfort_increase', 5000,
	'capacity', 50,
	'sanity_increase', 5000,
}),
PlaceObj('ModItemCode', {
	'FileName', "Code/Script.lua",
}),
}
