return {
PlaceObj('ModItemBuildingTemplate', {
	'name', "MW_ElectronicsFactory_SPlus_4#",
	'template_class', "ElectronicsFactory",
	'resource_produced1', "Electronics",
	'max_storage1', 5000000,
	'production_per_day1', 110000,
	'construction_cost_Concrete', 150000,
	'construction_cost_Metals', 150000,
	'construction_cost_Polymers', 50000,
	'construction_cost_Electronics', 50000,
	'construction_cost_MachineParts', 50000,
	'construction_cost_PreciousMetals', 10000,
	'build_points', 7000,
	'require_prefab', true,
	'is_tall', true,
	'upgrade1_id', "ElectronicsFactory_FactoryAI",
	'upgrade1_display_name', T{769279693294, --[[ModItemBuildingTemplate MW_ElectronicsFactory_SPlus_4# upgrade1_display_name]] "工厂人工智能"},
	'upgrade1_description', T{106198862032, --[[ModItemBuildingTemplate MW_ElectronicsFactory_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 产量。"},
	'upgrade1_icon', "UI/Icons/Upgrades/factory_ai_01.tga",
	'upgrade1_upgrade_cost_Concrete', 500000,
	'upgrade1_upgrade_cost_Metals', 500000,
	'upgrade1_upgrade_cost_Polymers', 300000,
	'upgrade1_upgrade_cost_Electronics', 300000,
	'upgrade1_upgrade_cost_MachineParts', 300000,
	'upgrade1_upgrade_cost_PreciousMetals', 100000,
	'upgrade1_mod_label_1', "ElectronicsFactory",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 50,
	'upgrade2_id', "ElectronicsFactory_Automation",
	'upgrade2_display_name', T{738170572211, --[[ModItemBuildingTemplate MW_ElectronicsFactory_SPlus_4# upgrade2_display_name]] "自动化"},
	'upgrade2_description', T{284050567694, --[[ModItemBuildingTemplate MW_ElectronicsFactory_SPlus_4# upgrade2_description]] "工作场所减少<abs(upgrade2_add_value_1)>."},
	'upgrade2_icon', "UI/Icons/Upgrades/automation_01.tga",
	'upgrade2_upgrade_cost_Polymers', 5000,
	'upgrade2_upgrade_cost_Electronics', 5000,
	'upgrade2_mod_label_1', "ElectronicsFactory",
	'upgrade2_mod_prop_id_1', "max_workers",
	'upgrade2_add_value_1', -40,
	'upgrade3_id', "ElectronicsFactory_Amplify",
	'upgrade3_display_name', T{461965329352, --[[ModItemBuildingTemplate MW_ElectronicsFactory_SPlus_4# upgrade3_display_name]] "超頻增產"},
	'upgrade3_description', T{355104715634, --[[ModItemBuildingTemplate MW_ElectronicsFactory_SPlus_4# upgrade3_description]] "+500% 使用100倍電力增產"},
	'upgrade3_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade3_upgrade_cost_Polymers', 5000,
	'upgrade3_mod_label_1', "ElectronicsFactory",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 500,
	'upgrade3_mod_label_2', "ElectronicsFactory",
	'upgrade3_mod_prop_id_2', "electricity_consumption",
	'upgrade3_mul_value_2', 9900,
	'maintenance_resource_type', "Polymers",
	'maintenance_resource_amount', 300000,
	'consumption_resource_type', "PreciousMetals",
	'consumption_max_storage', 500000,
	'consumption_amount', 300,
	'display_name', T{163931326594, --[[ModItemBuildingTemplate MW_ElectronicsFactory_SPlus_4# display_name]] "<color 171 0 183>超級电子零件工厂</color>"},
	'display_name_pl', T{679196149995, --[[ModItemBuildingTemplate MW_ElectronicsFactory_SPlus_4# display_name_pl]] "<color 171 0 183>超級电子零件工厂</color>"},
	'description', T{195591888522, --[[ModItemBuildingTemplate MW_ElectronicsFactory_SPlus_4# description]] "用稀有金属制造电子零件。"},
	'build_category', "Domes",
	'display_icon', "UI/Icons/Buildings/electronics_factory.tga",
	'build_pos', 7,
	'entity', "ElectronicsFactory",
	'encyclopedia_image', "UI/Encyclopedia/ElectronicsFactory.tga",
	'label1', "InsideBuildings",
	'label2', "OutsideBuildings",
	'label3', "OutsideBuildingsTargets",
	'palettes', "ElectronicFactory",
	'demolish_sinking', range(5, 10),
	'demolish_tilt_angle', range(720, 1020),
	'demolish_debris', 80,
	'electricity_consumption', 300000,
	'max_workers', 50,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MW_FungalFarm_SPlus_4#",
	'template_class', "FungalFarm",
	'resource_produced1', "Food",
	'max_storage1', 5000000,
	'production_per_day1', 80000,
	'construction_cost_Concrete', 100000,
	'construction_cost_Metals', 150000,
	'construction_cost_Polymers', 50000,
	'construction_cost_Electronics', 50000,
	'construction_cost_MachineParts', 50000,
	'construction_cost_PreciousMetals', 10000,
	'build_points', 6000,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "SuperfungusUpgrade",
	'upgrade1_display_name', T{428108564876, --[[ModItemBuildingTemplate MW_FungalFarm_SPlus_4# upgrade1_display_name]] "超级真菌"},
	'upgrade1_description', T{316377685617, --[[ModItemBuildingTemplate MW_FungalFarm_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 产量； +<upgrade1_mul_value_2>% 氧气消耗"},
	'upgrade1_icon', "UI/Icons/Upgrades/superfungus_01.tga",
	'upgrade1_upgrade_cost_Concrete', 500000,
	'upgrade1_upgrade_cost_Metals', 500000,
	'upgrade1_upgrade_cost_Polymers', 300000,
	'upgrade1_upgrade_cost_Electronics', 300000,
	'upgrade1_upgrade_cost_MachineParts', 300000,
	'upgrade1_upgrade_cost_PreciousMetals', 100000,
	'upgrade1_mod_label_1', "FungalFarm",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 50,
	'upgrade1_mod_label_2', "FungalFarm",
	'upgrade1_mod_prop_id_2', "air_consumption",
	'upgrade1_mul_value_2', 100,
	'upgrade2_id', "FungalFarm_Automation",
	'upgrade2_display_name', T{216586215280, --[[ModItemBuildingTemplate MW_FungalFarm_SPlus_4# upgrade2_display_name]] "自动化"},
	'upgrade2_description', T{744393117700, --[[ModItemBuildingTemplate MW_FungalFarm_SPlus_4# upgrade2_description]] "工作场所减少<abs(upgrade2_add_value_1)>."},
	'upgrade2_icon', "UI/Icons/Upgrades/automation_01.tga",
	'upgrade2_upgrade_cost_Electronics', 10000,
	'upgrade2_mod_label_1', "FungalFarm",
	'upgrade2_mod_prop_id_1', "max_workers",
	'upgrade2_add_value_1', -40,
	'maintenance_resource_type', "Metals",
	'maintenance_resource_amount', 100000,
	'display_name', T{935069351394, --[[ModItemBuildingTemplate MW_FungalFarm_SPlus_4# display_name]] "<color 171 0 183>超級菌类农场</color>"},
	'display_name_pl', T{167502944846, --[[ModItemBuildingTemplate MW_FungalFarm_SPlus_4# display_name_pl]] "<color 171 0 183>超級菌类农场</color>"},
	'description', T{326719065694, --[[ModItemBuildingTemplate MW_FungalFarm_SPlus_4# description]] "生产粮食。"},
	'build_category', "Domes",
	'display_icon', "UI/Icons/Buildings/fungal_farm.tga",
	'build_pos', 10,
	'entity', "FungalFarm",
	'encyclopedia_image', "UI/Encyclopedia/FungalFarm.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "FungalFarm",
	'demolish_sinking', range(10, 20),
	'demolish_tilt_angle', range(300, 600),
	'electricity_consumption', 300000,
	'water_consumption', 25000,
	'air_consumption', 30000,
	'active_shift', 1,
	'enabled_shift_2', false,
	'enabled_shift_3', false,
	'max_workers', 50,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MW_FusionReactor_SPlus_4#",
	'template_class', "FusionReactor",
	'pin_rollover_context', "electricity",
	'construction_cost_Concrete', 400000,
	'construction_cost_Metals', 400000,
	'construction_cost_Polymers', 200000,
	'construction_cost_Electronics', 200000,
	'construction_cost_MachineParts', 200000,
	'construction_cost_PreciousMetals', 10000,
	'build_points', 15000,
	'dome_forbidden', true,
	'upgrade1_id', "FusionReactor_Autoregulator",
	'upgrade1_display_name', T{286903333125, --[[ModItemBuildingTemplate MW_FusionReactor_SPlus_4# upgrade1_display_name]] "自动调节器"},
	'upgrade1_description', T{955643747231, --[[ModItemBuildingTemplate MW_FusionReactor_SPlus_4# upgrade1_description]] "工作场所减少<abs(upgrade1_add_value_1)>。"},
	'upgrade1_icon', "UI/Icons/Upgrades/autoregulator_01.tga",
	'upgrade1_upgrade_cost_Polymers', 10000,
	'upgrade1_mod_label_1', "FusionReactor",
	'upgrade1_mod_prop_id_1', "max_workers",
	'upgrade1_add_value_1', -40,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 300000,
	'display_name', T{902438059349, --[[ModItemBuildingTemplate MW_FusionReactor_SPlus_4# display_name]] "<color 171 0 183>超級聚变反应堆</color>"},
	'display_name_pl', T{789563817015, --[[ModItemBuildingTemplate MW_FusionReactor_SPlus_4# display_name_pl]] "<color 171 0 183>超級聚变反应堆</color>"},
	'description', T{182735647502, --[[ModItemBuildingTemplate MW_FusionReactor_SPlus_4# description]] "生产大量的能源"},
	'build_category', "Domes",
	'display_icon', "UI/Icons/Buildings/fusion_reactor.tga",
	'build_pos', 5,
	'entity', "FusionReactor",
	'encyclopedia_image', "UI/Encyclopedia/FusionReactor.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "UniversalExtractor",
	'demolish_sinking', range(10, 20),
	'demolish_tilt_angle', range(300, 600),
	'electricity_production', 4000000,
	'max_workers', 50,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MW_MachinePartsFactory_SPlus_4#",
	'template_class', "MachinePartsFactory",
	'resource_produced1', "MachineParts",
	'max_storage1', 5000000,
	'production_per_day1', 110000,
	'construction_cost_Concrete', 200000,
	'construction_cost_Metals', 150000,
	'construction_cost_Polymers', 50000,
	'construction_cost_Electronics', 50000,
	'construction_cost_MachineParts', 50000,
	'construction_cost_PreciousMetals', 10000,
	'build_points', 7000,
	'require_prefab', true,
	'upgrade1_id', "MachinePartsFactory_FactoryAI",
	'upgrade1_display_name', T{773818897896, --[[ModItemBuildingTemplate MW_MachinePartsFactory_SPlus_4# upgrade1_display_name]] "工厂人工智能"},
	'upgrade1_description', T{567984610687, --[[ModItemBuildingTemplate MW_MachinePartsFactory_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 产量。"},
	'upgrade1_icon', "UI/Icons/Upgrades/factory_ai_01.tga",
	'upgrade1_upgrade_cost_Concrete', 500000,
	'upgrade1_upgrade_cost_Metals', 500000,
	'upgrade1_upgrade_cost_Polymers', 300000,
	'upgrade1_upgrade_cost_Electronics', 300000,
	'upgrade1_upgrade_cost_MachineParts', 300000,
	'upgrade1_upgrade_cost_PreciousMetals', 100000,
	'upgrade1_mod_label_1', "MachinePartsFactory",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 50,
	'upgrade2_id', "MachinePartsFactory_Automation",
	'upgrade2_display_name', T{997117222605, --[[ModItemBuildingTemplate MW_MachinePartsFactory_SPlus_4# upgrade2_display_name]] "自动化"},
	'upgrade2_description', T{649174389071, --[[ModItemBuildingTemplate MW_MachinePartsFactory_SPlus_4# upgrade2_description]] "工作场所减少<abs(upgrade2_add_value_1)>."},
	'upgrade2_icon', "UI/Icons/Upgrades/automation_01.tga",
	'upgrade2_upgrade_cost_Polymers', 5000,
	'upgrade2_upgrade_cost_Electronics', 5000,
	'upgrade2_mod_label_1', "MachinePartsFactory",
	'upgrade2_mod_prop_id_1', "max_workers",
	'upgrade2_add_value_1', -40,
	'upgrade3_id', "MachinePartsFactory_Amplify",
	'upgrade3_display_name', T{119574142891, --[[ModItemBuildingTemplate MW_MachinePartsFactory_SPlus_4# upgrade3_display_name]] "超頻增產"},
	'upgrade3_description', T{794295428571, --[[ModItemBuildingTemplate MW_MachinePartsFactory_SPlus_4# upgrade3_description]] "+500% 使用100倍電力增產"},
	'upgrade3_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade3_upgrade_cost_Polymers', 5000,
	'upgrade3_mod_label_1', "MachinePartsFactory",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 500,
	'upgrade3_mod_label_2', "MachinePartsFactory",
	'upgrade3_mod_prop_id_2', "electricity_consumption",
	'upgrade3_mul_value_2', 9900,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 200000,
	'consumption_resource_type', "Metals",
	'consumption_max_storage', 500000,
	'display_name', T{767793868796, --[[ModItemBuildingTemplate MW_MachinePartsFactory_SPlus_4# display_name]] "<color 171 0 183>超級机械零件工厂</color>"},
	'display_name_pl', T{717687276764, --[[ModItemBuildingTemplate MW_MachinePartsFactory_SPlus_4# display_name_pl]] "<color 171 0 183>超級机械零件工厂</color>"},
	'description', T{961864519110, --[[ModItemBuildingTemplate MW_MachinePartsFactory_SPlus_4# description]] "用金属制造机械零件。"},
	'build_category', "Domes",
	'display_icon', "UI/Icons/Buildings/machine_parts_factory.tga",
	'build_pos', 8,
	'entity', "MachinePartsFactory",
	'encyclopedia_image', "UI/Encyclopedia/MachinePartsFactory.tga",
	'label1', "InsideBuildings",
	'label2', "OutsideBuildings",
	'label3', "OutsideBuildingsTargets",
	'palettes', "MachineParts",
	'demolish_sinking', range(15, 25),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'electricity_consumption', 300000,
	'max_workers', 50,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MW_MetalsExtractor_SPlus_4#",
	'template_class', "MetalsExtractor",
	'resource_produced1', "Metals",
	'max_storage1', 10000000,
	'production_per_day1', 100000,
	'resource_produced2', "WasteRock",
	'max_storage2', 5000000,
	'production_per_day2', 2000,
	'stockpile_class2', "WasteRockStockpile",
	'construction_cost_Concrete', 200000,
	'construction_cost_Metals', 150000,
	'construction_cost_Polymers', 100000,
	'construction_cost_Electronics', 100000,
	'construction_cost_MachineParts', 100000,
	'construction_cost_PreciousMetals', 50000,
	'build_points', 5000,
	'require_prefab', true,
	'is_tall', true,
	'dome_spot', "Spire",
	'dome_forbidden', true,
	'achievement', "FirstDomeSpire",
	'upgrade1_id', "MetalsExtractor_FueledExtractor",
	'upgrade1_display_name', T{611735251209, --[[ModItemBuildingTemplate MW_MetalsExtractor_SPlus_4# upgrade1_display_name]] "助燃式挖掘机"},
	'upgrade1_description', T{917167789354, --[[ModItemBuildingTemplate MW_MetalsExtractor_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 只要建筑物供应燃料，就可以生产。如果未提供燃料，建筑将继续运行，但将失去加成。"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_Concrete', 500000,
	'upgrade1_upgrade_cost_Metals', 500000,
	'upgrade1_upgrade_cost_Polymers', 300000,
	'upgrade1_upgrade_cost_Electronics', 300000,
	'upgrade1_upgrade_cost_MachineParts', 300000,
	'upgrade1_upgrade_cost_PreciousMetals', 100000,
	'upgrade1_mod_target_1', "parent_dome",
	'upgrade1_mod_label_1', "MetalsExtractor",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 30,
	'upgrade1_add_value_1', 30,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_max_storage', 200000,
	'upgrade1_consumption_amount', 800,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "MetalsExtractor_Amplify",
	'upgrade2_display_name', T{737552632671, --[[ModItemBuildingTemplate MW_MetalsExtractor_SPlus_4# upgrade2_display_name]] "超頻增產"},
	'upgrade2_description', T{979644865059, --[[ModItemBuildingTemplate MW_MetalsExtractor_SPlus_4# upgrade2_description]] "+500% 使用100倍電力增產"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "MetalsExtractor",
	'upgrade2_mod_prop_id_1', "production_per_day1",
	'upgrade2_mul_value_1', 500,
	'upgrade2_mod_label_2', "MetalsExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_mul_value_2', 9900,
	'upgrade3_id', "MetalsExtractor_MagneticExtraction",
	'upgrade3_display_name', T{615555700083, --[[ModItemBuildingTemplate MW_MetalsExtractor_SPlus_4# upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{583705197622, --[[ModItemBuildingTemplate MW_MetalsExtractor_SPlus_4# upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "MetalsExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 50,
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 200000,
	'maintenance_threshold_base', 150000,
	'display_name', T{156142742152, --[[ModItemBuildingTemplate MW_MetalsExtractor_SPlus_4# display_name]] "<color 171 0 183>超級金属挖掘机</color>"},
	'display_name_pl', T{842339850841, --[[ModItemBuildingTemplate MW_MetalsExtractor_SPlus_4# display_name_pl]] "<color 171 0 183>超級金属挖掘机</color>"},
	'description', T{382043079404, --[[ModItemBuildingTemplate MW_MetalsExtractor_SPlus_4# description]] "从地下资源点挖掘金属。所有挖掘机均会对周围建筑造成尘土污染。"},
	'build_category', "Domes",
	'display_icon', "UI/Icons/Buildings/metals_extractor.tga",
	'build_pos', 3,
	'entity', "MetalsExtractor",
	'encyclopedia_image', "UI/Encyclopedia/MetalsExtractor.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "MoholeMine",
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'exploitation_resource', "Metals",
	'exploitation_radius', 600,
	'electricity_consumption', 300000,
	'max_workers', 50,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MW_PolymerPlant_SPlus_4#",
	'template_class', "PolymerPlant",
	'resource_produced1', "Polymers",
	'max_storage1', 10000000,
	'production_per_day1', 110000,
	'construction_cost_Concrete', 150000,
	'construction_cost_Metals', 120000,
	'construction_cost_Polymers', 50000,
	'construction_cost_Electronics', 50000,
	'construction_cost_MachineParts', 50000,
	'construction_cost_PreciousMetals', 10000,
	'build_points', 7000,
	'require_prefab', true,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "PolymerPlant_FactoryAI",
	'upgrade1_display_name', T{368494732257, --[[ModItemBuildingTemplate MW_PolymerPlant_SPlus_4# upgrade1_display_name]] "工厂人工智能"},
	'upgrade1_description', T{181571982251, --[[ModItemBuildingTemplate MW_PolymerPlant_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 产量。"},
	'upgrade1_icon', "UI/Icons/Upgrades/factory_ai_01.tga",
	'upgrade1_upgrade_cost_Concrete', 500000,
	'upgrade1_upgrade_cost_Metals', 500000,
	'upgrade1_upgrade_cost_Polymers', 300000,
	'upgrade1_upgrade_cost_Electronics', 300000,
	'upgrade1_upgrade_cost_MachineParts', 300000,
	'upgrade1_upgrade_cost_PreciousMetals', 100000,
	'upgrade1_mod_label_1', "PolymerPlant",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 50,
	'upgrade2_id', "PolymerPlant_Automation",
	'upgrade2_display_name', T{696421100239, --[[ModItemBuildingTemplate MW_PolymerPlant_SPlus_4# upgrade2_display_name]] "自动化"},
	'upgrade2_description', T{491150769548, --[[ModItemBuildingTemplate MW_PolymerPlant_SPlus_4# upgrade2_description]] "工作场所减少<abs(upgrade2_add_value_1)>."},
	'upgrade2_icon', "UI/Icons/Upgrades/automation_01.tga",
	'upgrade2_upgrade_cost_Polymers', 5000,
	'upgrade2_upgrade_cost_Electronics', 5000,
	'upgrade2_mod_label_1', "PolymerPlant",
	'upgrade2_mod_prop_id_1', "max_workers",
	'upgrade2_add_value_1', -40,
	'upgrade3_id', "PolymerPlant_Amplify",
	'upgrade3_display_name', T{687774712762, --[[ModItemBuildingTemplate MW_PolymerPlant_SPlus_4# upgrade3_display_name]] "超頻增產"},
	'upgrade3_description', T{376780003452, --[[ModItemBuildingTemplate MW_PolymerPlant_SPlus_4# upgrade3_description]] "+500% 使用100倍電力增產"},
	'upgrade3_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade3_upgrade_cost_Polymers', 5000,
	'upgrade3_mod_label_1', "PolymerPlant",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 500,
	'upgrade3_mod_label_2', "PolymerPlant",
	'upgrade3_mod_prop_id_2', "electricity_consumption",
	'upgrade3_mul_value_2', 9900,
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 200000,
	'consumption_resource_type', "Fuel",
	'consumption_max_storage', 500000,
	'consumption_resource_stockpile_spot_name', "",
	'display_name', T{925945692504, --[[ModItemBuildingTemplate MW_PolymerPlant_SPlus_4# display_name]] "<color 171 0 183>超級聚合物工厂</color>"},
	'display_name_pl', T{230583864871, --[[ModItemBuildingTemplate MW_PolymerPlant_SPlus_4# display_name_pl]] "<color 171 0 183>超級聚合物工厂</color>"},
	'description', T{633645244505, --[[ModItemBuildingTemplate MW_PolymerPlant_SPlus_4# description]] "用水与燃料制造聚合物。"},
	'build_category', "Domes",
	'display_icon', "UI/Icons/Buildings/polymer_plant.tga",
	'build_pos', 6,
	'entity', "PolymerPlant",
	'encyclopedia_image', "UI/Encyclopedia/PolymerFactory.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "PolumerPlant",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(300, 600),
	'electricity_consumption', 300000,
	'max_workers', 50,
	'water_consumption', 20000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MW_PreciousMetalsExtractor_SPlus_4#",
	'template_class', "PreciousMetalsExtractor",
	'resource_produced1', "PreciousMetals",
	'max_storage1', 2000000,
	'production_per_day1', 90000,
	'resource_produced2', "WasteRock",
	'max_storage2', 2000000,
	'production_per_day2', 2000,
	'stockpile_class2', "WasteRockStockpile",
	'construction_cost_Concrete', 250000,
	'construction_cost_Metals', 220000,
	'construction_cost_Polymers', 110000,
	'construction_cost_Electronics', 100000,
	'construction_cost_MachineParts', 100000,
	'build_points', 5000,
	'is_tall', true,
	'dome_forbidden', true,
	'force_extend_bb_during_placement_checks', 12000,
	'upgrade1_id', "PreciousMetalsExtractor_FueledExtractor",
	'upgrade1_display_name', T{980570110338, --[[ModItemBuildingTemplate MW_PreciousMetalsExtractor_SPlus_4# upgrade1_display_name]] "助燃式挖掘机"},
	'upgrade1_description', T{907343443591, --[[ModItemBuildingTemplate MW_PreciousMetalsExtractor_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 只要建筑物供应燃料，就可以生产。如果未提供燃料，建筑将继续运行，但将失去加成。"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_Concrete', 500000,
	'upgrade1_upgrade_cost_Metals', 500000,
	'upgrade1_upgrade_cost_Polymers', 500000,
	'upgrade1_upgrade_cost_Electronics', 300000,
	'upgrade1_upgrade_cost_MachineParts', 300000,
	'upgrade1_upgrade_cost_PreciousMetals', 100000,
	'upgrade1_mod_label_1', "PreciousMetalsExtractor",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 30,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_amount', 800,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "PreciousMetalsExtractor_Amplify",
	'upgrade2_display_name', T{142121163284, --[[ModItemBuildingTemplate MW_PreciousMetalsExtractor_SPlus_4# upgrade2_display_name]] "超頻增產"},
	'upgrade2_description', T{219366946298, --[[ModItemBuildingTemplate MW_PreciousMetalsExtractor_SPlus_4# upgrade2_description]] "+500% 使用100倍電力增產"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "PreciousMetalsExtractor",
	'upgrade2_mod_prop_id_1', "electricity_consumption",
	'upgrade2_mul_value_1', 9900,
	'upgrade2_mod_label_2', "PreciousMetalsExtractor",
	'upgrade2_mod_prop_id_2', "production_per_day1",
	'upgrade2_mul_value_2', 500,
	'upgrade3_id', "PreciousMetalsExtractor_MagneticExtraction",
	'upgrade3_display_name', T{954005218606, --[[ModItemBuildingTemplate MW_PreciousMetalsExtractor_SPlus_4# upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{759824282898, --[[ModItemBuildingTemplate MW_PreciousMetalsExtractor_SPlus_4# upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "PreciousMetalsExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 50,
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 200000,
	'maintenance_threshold_base', 150000,
	'display_name', T{960946076975, --[[ModItemBuildingTemplate MW_PreciousMetalsExtractor_SPlus_4# display_name]] "<color 171 0 183>超級稀有金属挖掘机</color>"},
	'display_name_pl', T{318186026241, --[[ModItemBuildingTemplate MW_PreciousMetalsExtractor_SPlus_4# display_name_pl]] "<color 171 0 183>超級稀有金属挖掘机</color>"},
	'description', T{880875243999, --[[ModItemBuildingTemplate MW_PreciousMetalsExtractor_SPlus_4# description]] "从地下资源点开采稀有金属，挖掘机会对附近的建筑物造成尘土污染。"},
	'build_category', "Domes",
	'display_icon', "UI/Icons/Buildings/universal_extractor.tga",
	'build_pos', 5,
	'entity', "UniversalExtractor",
	'encyclopedia_image', "UI/Encyclopedia/RareMetalsExtractor.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'color_modifier', RGBA(169, 97, 97, 255),
	'palettes', "UniversalExtractor",
	'demolish_sinking', range(5, 10),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 68,
	'exploitation_resource', "PreciousMetals",
	'exploitation_radius', 600,
	'electricity_consumption', 300000,
	'max_workers', 50,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MW_WaterExtractor_SPlus_4#",
	'template_class', "WaterExtractor",
	'resource_produced1', "WasteRock",
	'max_storage1', 40000000,
	'stockpile_class1', "WasteRockStockpile",
	'pin_rollover_context', "water",
	'construction_cost_Concrete', 600000,
	'construction_cost_Metals', 500000,
	'construction_cost_Polymers', 300000,
	'construction_cost_Electronics', 300000,
	'construction_cost_MachineParts', 300000,
	'construction_cost_PreciousMetals', 100000,
	'build_points', 3000,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "WaterExtractor_FueledExtractor",
	'upgrade1_display_name', T{533381008998, --[[ModItemBuildingTemplate MW_WaterExtractor_SPlus_4# upgrade1_display_name]] "助燃式挖掘机"},
	'upgrade1_description', T{324245528228, --[[ModItemBuildingTemplate MW_WaterExtractor_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 只要建筑物供应燃料，就可以生产。如果未提供燃料，建筑将继续运行，但将失去加成。"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "WaterExtractor",
	'upgrade1_mod_prop_id_1', "water_production",
	'upgrade1_mul_value_1', 100,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_max_storage', 200000,
	'upgrade1_consumption_amount', 200,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "WaterExtractor_Amplify",
	'upgrade2_display_name', T{153184962302, --[[ModItemBuildingTemplate MW_WaterExtractor_SPlus_4# upgrade2_display_name]] "增幅"},
	'upgrade2_description', T{922620599705, --[[ModItemBuildingTemplate MW_WaterExtractor_SPlus_4# upgrade2_description]] "+<upgrade2_mul_value_1>% 产量； + 消耗。"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "WaterExtractor",
	'upgrade2_mod_prop_id_1', "water_production",
	'upgrade2_mul_value_1', 400,
	'upgrade2_mod_label_2', "WaterExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_mul_value_2', 2900,
	'upgrade3_id', "WaterExtractor_MagneticExtraction",
	'upgrade3_display_name', T{584487222265, --[[ModItemBuildingTemplate MW_WaterExtractor_SPlus_4# upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{686794578156, --[[ModItemBuildingTemplate MW_WaterExtractor_SPlus_4# upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "WaterExtractor",
	'upgrade3_mod_prop_id_1', "water_production",
	'upgrade3_mul_value_1', 100,
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 100000,
	'maintenance_threshold_base', 150000,
	'display_name', T{468320503040, --[[ModItemBuildingTemplate MW_WaterExtractor_SPlus_4# display_name]] "<color 171 0 183>超級水资源挖掘机</color>"},
	'display_name_pl', T{605322196028, --[[ModItemBuildingTemplate MW_WaterExtractor_SPlus_4# display_name_pl]] "<color 171 0 183>超級水资源挖掘机</color>"},
	'description', T{249979695846, --[[ModItemBuildingTemplate MW_WaterExtractor_SPlus_4# description]] "从地底汲取水源。所有提取器都会导致邻接建筑积尘。"},
	'build_category', "Domes",
	'display_icon', "UI/Icons/Buildings/water_extractor.tga",
	'build_pos', 3,
	'entity', "WaterExtractor",
	'encyclopedia_image', "UI/Encyclopedia/WaterExtractor.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "WaterExtractor",
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(0, 0),
	'electricity_consumption', 5000000,
	'water_production', 300000,
	'exploitation_resource', "Water",
	'exploitation_radius', 600,
}),
}
