return {
PlaceObj('ModItemBuildingTemplate', {
	'name', "Battery_WaterFuelCell_SPlus_4#",
	'template_class', "ElectricityStorage",
	'pin_rollover_context', "electricity",
	'pin_progress_value', "current_storage",
	'pin_progress_max', "storage_capacity",
	'construction_cost_Concrete', 3000,
	'construction_cost_Metals', 2000,
	'construction_cost_Polymers', 2000,
	'construction_cost_Electronics', 1000,
	'build_points', 1500,
	'dome_forbidden', true,
	'construction_state', "full",
	'maintenance_resource_type', "Polymers",
	'display_name', T{116741146000, --[[ModItemBuildingTemplate Battery_WaterFuelCell_SPlus_4# display_name]] "<color 2 228 225>蓄电池</color>"},
	'display_name_pl', T{545546572917, --[[ModItemBuildingTemplate Battery_WaterFuelCell_SPlus_4# display_name_pl]] "<color 2 228 225>蓄电池</color>"},
	'description', T{864195439850, --[[ModItemBuildingTemplate Battery_WaterFuelCell_SPlus_4# description]] "储存电力，供电量受电池最大输出值限制。"},
	'build_category', "Power",
	'display_icon', "UI/Icons/Buildings/fuel_cell.tga",
	'build_pos', 6,
	'entity', "FuelCell",
	'encyclopedia_image', "UI/Encyclopedia/PowerAccumulator.tga",
	'build_shortcut1', "K",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "Battery_WaterFuelCell",
	'demolish_sinking', range(5, 5),
	'demolish_tilt_angle', range(900, 1200),
	'demolish_debris', 85,
	'max_electricity_charge', 2000000,
	'max_electricity_discharge', 200000,
	'conversion_efficiency', 100,
	'capacity', 20000000,
	'charge_animation', "charge",
	'empty_state', "idle",
	'full_state', "full",
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "ElectricityStorage_SPlus_4#",
	'template_class', "ElectricityStorage",
	'pin_rollover_context', "electricity",
	'pin_rollover_hint', T{694729692936, --[[ModItemBuildingTemplate ElectricityStorage_SPlus_4# pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{957192445992, --[[ModItemBuildingTemplate ElectricityStorage_SPlus_4# pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'pin_progress_value', "current_storage",
	'pin_progress_max', "storage_capacity",
	'construction_cost_Concrete', 900000,
	'construction_cost_Metals', 900000,
	'construction_cost_Polymers', 500000,
	'construction_cost_Electronics', 500000,
	'construction_cost_MachineParts', 500000,
	'construction_cost_PreciousMetals', 300000,
	'build_points', 2000,
	'is_tall', true,
	'dome_forbidden', true,
	'construction_state', "full",
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 200000,
	'display_name', T{176757751953, --[[ModItemBuildingTemplate ElectricityStorage_SPlus_4# display_name]] "<color 2 228 225>原子蓄电池</color>"},
	'display_name_pl', T{544757232364, --[[ModItemBuildingTemplate ElectricityStorage_SPlus_4# display_name_pl]] "<color 2 228 225>原子蓄电站</color>"},
	'description', T{374445874437, --[[ModItemBuildingTemplate ElectricityStorage_SPlus_4# description]] "储存能源。高容量与最高输出"},
	'build_category', "Power",
	'display_icon', "UI/Icons/Buildings/atomic_batteries.tga",
	'build_pos', 7,
	'entity', "AtomicBattery",
	'encyclopedia_image', "UI/Encyclopedia/AtomicAccumulator.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "Outside_09",
	'demolish_sinking', range(15, 30),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'max_electricity_charge', 500000000,
	'max_electricity_discharge', 200000000,
	'conversion_efficiency', 100,
	'capacity', 1000000000,
	'charge_animation', "charge",
	'empty_state', "idle",
	'full_state', "full",
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "OxygenTank_SPlus_4#",
	'template_class', "OxygenTank",
	'pin_rollover_context', "air",
	'pin_progress_value', "current_storage",
	'pin_progress_max', "storage_capacity",
	'construction_cost_Metals', 3000,
	'build_points', 2000,
	'is_tall', true,
	'dome_forbidden', true,
	'maintenance_resource_type', "Metals",
	'display_name', T{915487568921, --[[ModItemBuildingTemplate OxygenTank_SPlus_4# display_name]] "<color 2 228 225>氧气罐</color>"},
	'display_name_pl', T{684316320332, --[[ModItemBuildingTemplate OxygenTank_SPlus_4# display_name_pl]] "<color 2 228 225>氧气罐</color>"},
	'description', T{690503182509, --[[ModItemBuildingTemplate OxygenTank_SPlus_4# description]] "储存氧气。"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/oxygen_tank.tga",
	'build_pos', 2,
	'entity', "AirTank",
	'encyclopedia_image', "UI/Encyclopedia/OxygenTank.tga",
	'entity2', "AirTankChrome",
	'entitydlc2', "dde",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'color_modifier', RGBA(18, 248, 27, 255),
	'palettes', "OxugenTank",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 80,
	'max_air_charge', 1000000,
	'max_air_discharge', 1000000,
	'air_capacity', 10000000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "OxygenTank_S_SPlus_4#",
	'template_class', "OxygenTank",
	'pin_rollover_context', "air",
	'pin_progress_value', "current_storage",
	'pin_progress_max', "storage_capacity",
	'construction_cost_Concrete', 900000,
	'construction_cost_Metals', 900000,
	'construction_cost_Polymers', 500000,
	'construction_cost_Electronics', 500000,
	'construction_cost_MachineParts', 500000,
	'construction_cost_PreciousMetals', 200000,
	'build_points', 2000,
	'is_tall', true,
	'dome_forbidden', true,
	'maintenance_resource_type', "Metals",
	'display_name', T{528303950146, --[[ModItemBuildingTemplate OxygenTank_S_SPlus_4# display_name]] "<color 2 228 225>氧气罐<red>[次元压缩]</color>"},
	'display_name_pl', T{161685062822, --[[ModItemBuildingTemplate OxygenTank_S_SPlus_4# display_name_pl]] "<color 2 228 225>氧气罐<red>[次元压缩]</color>"},
	'description', T{168860546371, --[[ModItemBuildingTemplate OxygenTank_S_SPlus_4# description]] "储存氧气。"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/oxygen_tank.tga",
	'build_pos', 2,
	'entity', "AirTank",
	'encyclopedia_image', "UI/Encyclopedia/OxygenTank.tga",
	'entity2', "AirTankChrome",
	'entitydlc2', "dde",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'color_modifier', RGBA(18, 248, 27, 255),
	'palettes', "OxugenTank",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 80,
	'max_air_charge', 100000000,
	'max_air_discharge', 100000000,
	'air_capacity', 1000000000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "WaterTank_SPlus_4#",
	'template_class', "WaterTank",
	'pin_rollover_context', "water",
	'pin_progress_value', "current_storage",
	'pin_progress_max', "storage_capacity",
	'construction_cost_Metals', 3000,
	'build_points', 2000,
	'is_tall', true,
	'dome_forbidden', true,
	'maintenance_resource_type', "Metals",
	'display_name', T{961553663396, --[[ModItemBuildingTemplate WaterTank_SPlus_4# display_name]] "<color 2 228 225>水塔</color>"},
	'display_name_pl', T{177995683104, --[[ModItemBuildingTemplate WaterTank_SPlus_4# display_name_pl]] "<color 2 228 225>水塔</color>"},
	'description', T{387098872204, --[[ModItemBuildingTemplate WaterTank_SPlus_4# description]] "存储水资源。在寒流中不起作用。"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/water_tank.tga",
	'build_pos', 5,
	'entity', "WaterTank",
	'encyclopedia_image', "UI/Encyclopedia/WaterTank.tga",
	'entity2', "WaterTankChrome",
	'entitydlc2', "dde",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "WaterTank",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(60, 300),
	'demolish_debris', 76,
	'max_water_charge', 1000000,
	'max_water_discharge', 1000000,
	'water_capacity', 10000000,
	'freeze_time', 999,
	'defrost_time', 999,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "WaterTank_S_SPlus_4#",
	'template_class', "WaterTank",
	'pin_rollover_context', "water",
	'pin_progress_value', "current_storage",
	'pin_progress_max', "storage_capacity",
	'construction_cost_Concrete', 900000,
	'construction_cost_Metals', 900000,
	'construction_cost_Polymers', 500000,
	'construction_cost_Electronics', 500000,
	'construction_cost_MachineParts', 500000,
	'construction_cost_PreciousMetals', 200000,
	'build_points', 2000,
	'is_tall', true,
	'dome_forbidden', true,
	'maintenance_resource_type', "Metals",
	'display_name', T{335625782413, --[[ModItemBuildingTemplate WaterTank_S_SPlus_4# display_name]] "<color 2 228 225>水塔<red>[次元压缩]</color>"},
	'display_name_pl', T{299188363098, --[[ModItemBuildingTemplate WaterTank_S_SPlus_4# display_name_pl]] "<color 2 228 225>水塔<red>[次元压缩]</color>"},
	'description', T{709682537099, --[[ModItemBuildingTemplate WaterTank_S_SPlus_4# description]] "存储水资源。在寒流中不起作用。"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/water_tank.tga",
	'build_pos', 5,
	'entity', "WaterTank",
	'encyclopedia_image', "UI/Encyclopedia/WaterTank.tga",
	'entity2', "WaterTankChrome",
	'entitydlc2', "dde",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "WaterTank",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(60, 300),
	'demolish_debris', 76,
	'max_water_charge', 100000000,
	'max_water_discharge', 100000000,
	'water_capacity', 1000000000,
	'freeze_time', 999,
	'defrost_time', 999,
}),
PlaceObj('ModItemCode', {
	'FileName', "Code/Script.lua",
}),
}
