return {
PlaceObj('ModItemBuildingTemplate', {
	'name', "MoholeMine_SPlus",
	'template_class', "MoholeMine",
	'resource_produced1', "Metals",
	'max_storage1', 5000000,
	'production_per_day1', 100000,
	'resource_produced2', "PreciousMetals",
	'max_storage2', 5000000,
	'production_per_day2', 50000,
	'stockpile_class2', "WasteRockStockpile",
	'resource_produced3', "WasteRock",
	'max_storage3', 5000000,
	'stockpile_class3', "WasteRockStockpile",
	'pin_rollover_hint', T{762863188001, --[[ModItemBuildingTemplate MoholeMine_SPlus pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{102705902251, --[[ModItemBuildingTemplate MoholeMine_SPlus pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'construction_cost_Concrete', 4000000,
	'construction_cost_Metals', 2000000,
	'construction_cost_Polymers', 300000,
	'construction_cost_Electronics', 300000,
	'construction_cost_MachineParts', 300000,
	'build_points', 200000,
	'is_tall', true,
	'dome_forbidden', true,
	'achievement', "BuiltMoholeMine",
	'upgrade1_id', "MetalsExtractor_FueledExtractor",
	'upgrade1_display_name', T{515520688624, --[[ModItemBuildingTemplate MoholeMine_SPlus upgrade1_display_name]] "助燃式增产"},
	'upgrade1_description', T{933485689965, --[[ModItemBuildingTemplate MoholeMine_SPlus upgrade1_description]] "+1000% 只要建筑物供应燃料就加强生产。 如果未提供燃料，建筑将继续普通运行"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_Concrete', 300000,
	'upgrade1_upgrade_cost_Metals', 400000,
	'upgrade1_upgrade_cost_Polymers', 200000,
	'upgrade1_upgrade_cost_Electronics', 50000,
	'upgrade1_upgrade_cost_MachineParts', 50000,
	'upgrade1_upgrade_cost_PreciousMetals', 20000,
	'upgrade1_mod_label_1', "MetalsExtractor",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 1000,
	'upgrade1_mod_label_2', "MetalsExtractor",
	'upgrade1_mod_prop_id_2', "production_per_day2",
	'upgrade1_mul_value_2', 200,
	'upgrade1_mod_label_3', "MetalsExtractor",
	'upgrade1_mod_prop_id_3', "production_per_day3",
	'upgrade1_mul_value_3', 200,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_max_storage', 600000,
	'upgrade1_consumption_amount', 300,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "FuelFactory_Amplify",
	'upgrade2_display_name', T{281356776834, --[[ModItemBuildingTemplate MoholeMine_SPlus upgrade2_display_name]] "加电超频工作"},
	'upgrade2_description', T{942922424409, --[[ModItemBuildingTemplate MoholeMine_SPlus upgrade2_description]] "+500% 超频将会大量增加10倍使用电力"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Concrete', 100000,
	'upgrade2_upgrade_cost_Metals', 60000,
	'upgrade2_upgrade_cost_Polymers', 20000,
	'upgrade2_upgrade_cost_Electronics', 20000,
	'upgrade2_upgrade_cost_MachineParts', 20000,
	'upgrade2_mod_label_1', "FuelFactory",
	'upgrade2_mod_prop_id_1', "production_per_day1",
	'upgrade2_mul_value_1', 500,
	'upgrade2_mod_label_2', "FuelFactory",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_mul_value_2', 900,
	'upgrade2_mod_label_3', "FuelFactory",
	'upgrade2_mod_prop_id_3', "production_per_day2",
	'upgrade2_mul_value_3', 200,
	'upgrade3_id', "MetalsExtractor_MagneticExtraction",
	'upgrade3_display_name', T{162084154703, --[[ModItemBuildingTemplate MoholeMine_SPlus upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{957273130072, --[[ModItemBuildingTemplate MoholeMine_SPlus upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "MetalsExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 100,
	'upgrade3_mod_label_2', "MetalsExtractor",
	'upgrade3_mod_prop_id_2', "production_per_day2",
	'upgrade3_mul_value_2', 100,
	'upgrade3_mod_label_3', "每日产量3",
	'upgrade3_mod_prop_id_3', "100",
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 900000,
	'maintenance_threshold_base', 400000,
	'display_name', T{210235270748, --[[ModItemBuildingTemplate MoholeMine_SPlus display_name]] "<color 2 228 225>莫霍矿井</color>"},
	'display_name_pl', T{222493703950, --[[ModItemBuildingTemplate MoholeMine_SPlus display_name_pl]] "<color 2 228 225>莫霍矿井</color>"},
	'description', T{215519246206, --[[ModItemBuildingTemplate MoholeMine_SPlus description]] "深入火星地壳挖掘矿物，莫霍矿井出产金属、稀有金属与废石，同时加热周围区域。"},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/mohole_mine.tga",
	'build_pos', 3,
	'entity', "MoholeMine",
	'encyclopedia_image', "UI/Encyclopedia/MoholeMine.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "MoholeMine",
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(0, 0),
	'demolish_debris', 85,
	'penalty_heat', 182,
	'penalty_pct', 51,
	'electricity_consumption', 300000,
	'enabled_shift_2', false,
	'enabled_shift_3', false,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "TheExcavator_SPlus",
	'template_class', "TheExcavator",
	'pin_rollover_hint', T{644668211655, --[[ModItemBuildingTemplate TheExcavator_SPlus pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{907674811934, --[[ModItemBuildingTemplate TheExcavator_SPlus pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'construction_cost_Concrete', 600000,
	'construction_cost_Metals', 400000,
	'construction_cost_Polymers', 100000,
	'construction_cost_Electronics', 100000,
	'construction_cost_MachineParts', 150000,
	'build_points', 200000,
	'is_tall', true,
	'dome_forbidden', true,
	'force_extend_bb_during_placement_checks', 12000,
	'achievement', "BuiltExcavator",
	'upgrade1_id', "MetalsExtractor_FueledExtractor",
	'upgrade1_display_name', T{197654008791, --[[ModItemBuildingTemplate TheExcavator_SPlus upgrade1_display_name]] "助燃式增产"},
	'upgrade1_description', T{219533534216, --[[ModItemBuildingTemplate TheExcavator_SPlus upgrade1_description]] "1000% 只要建筑物供应燃料就加强生产。 如果未提供燃料，建筑将继续普通运行"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_Concrete', 200000,
	'upgrade1_upgrade_cost_Metals', 200000,
	'upgrade1_upgrade_cost_Polymers', 30000,
	'upgrade1_upgrade_cost_Electronics', 30000,
	'upgrade1_upgrade_cost_MachineParts', 30000,
	'upgrade1_mod_label_1', "MetalsExtractor",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 1000,
	'upgrade1_mod_label_2', "MetalsExtractor",
	'upgrade1_mod_prop_id_2', "production_per_day2",
	'upgrade1_mul_value_2', 400,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_max_storage', 600000,
	'upgrade1_consumption_amount', 300,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "MetalsExtractor_Amplify",
	'upgrade2_display_name', T{281356776834, --[[ModItemBuildingTemplate TheExcavator_SPlus upgrade2_display_name]] "加电超频工作"},
	'upgrade2_description', T{942922424409, --[[ModItemBuildingTemplate TheExcavator_SPlus upgrade2_description]] "+500% 超频将会大量增加10倍使用电力"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "FuelFactory",
	'upgrade2_mod_prop_id_1', "production_per_day1",
	'upgrade2_mul_value_1', 500,
	'upgrade2_mod_label_2', "FuelFactory",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_mul_value_2', 900,
	'upgrade2_mod_label_3', "FuelFactory",
	'upgrade2_mod_prop_id_3', "production_per_day2",
	'upgrade2_mul_value_3', 200,
	'upgrade3_id', "MetalsExtractor_MagneticExtraction",
	'upgrade3_display_name', T{162084154703, --[[ModItemBuildingTemplate TheExcavator_SPlus upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{957273130072, --[[ModItemBuildingTemplate TheExcavator_SPlus upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "MetalsExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 100,
	'upgrade3_mod_label_2', "MetalsExtractor",
	'upgrade3_mod_prop_id_2', "production_per_day2",
	'upgrade3_mul_value_2', 100,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 700000,
	'maintenance_threshold_base', 400000,
	'display_name', T{644578812975, --[[ModItemBuildingTemplate TheExcavator_SPlus display_name]] "<color 2 228 225>巨型挖土机</color>"},
	'display_name_pl', T{655478733359, --[[ModItemBuildingTemplate TheExcavator_SPlus display_name_pl]] "<color 2 228 225>巨型挖土机</color>"},
	'description', T{738113784903, --[[ModItemBuildingTemplate TheExcavator_SPlus description]] "采用先进的提取技术，可以直接从火星土壤生产混凝土，而不需要沉积物。"},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/the_excavator.tga",
	'build_pos', 3,
	'entity', "Excavator",
	'encyclopedia_image', "UI/Encyclopedia/TheExcavator.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "MoholeMine",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 30,
	'electricity_consumption', 300000,
	'enabled_shift_2', false,
	'enabled_shift_3', false,
	'resource_produced1', "Concrete",
	'max_storage1', 5000000,
	'production_per_day1', 100000,
	'resource_produced2', "Metals",
	'max_storage2', 5000000,
	'production_per_day2', 20000,
	'stockpile_class2', "WasteRockStockpile",
}),
}
