return {
PlaceObj('ModItemBuildingTemplate', {
	'name', "DroneFactory",
	'template_class', "DroneFactory",
	'pin_rollover_hint', T{482144916431, --[[ModItemBuildingTemplate DroneFactory pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{356144398862, --[[ModItemBuildingTemplate DroneFactory pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'construction_cost_Metals', 20000,
	'construction_cost_Electronics', 10000,
	'build_points', 7000,
	'is_tall', true,
	'dome_forbidden', true,
	'maintenance_resource_type', "Electronics",
	'display_name', T{458255475425, --[[ModItemBuildingTemplate DroneFactory display_name]] "<color 2 228 225>无人机装配厂</color>"},
	'display_name_pl', T{318772578845, --[[ModItemBuildingTemplate DroneFactory display_name_pl]] "<color 2 228 225>无人机装配厂</color>"},
	'description', T{188490832229, --[[ModItemBuildingTemplate DroneFactory description]] "生产无人机预制件，然后可用于在无人机中心订购新的无人机，从而使殖民地服从的劳动力增加。应该不会对人类造成威胁。"},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/workshop.tga",
	'build_pos', 4,
	'entity', "Workshop",
	'encyclopedia_image', "UI/Encyclopedia/DroneAssembler.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "Outside_02",
	'demolish_sinking', range(5, 15),
	'demolish_tilt_angle', range(600, 1200),
	'demolish_debris', 85,
	'electricity_consumption', 10000,
	'max_workers', 0,
	'specialist', "engineer",
	'automation', 100,
	'auto_performance', 150,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "ElectronicsFactory_SPlus_4#",
	'template_class', "ElectronicsFactory",
	'resource_produced1', "Electronics",
	'max_storage1', 500000,
	'production_per_day1', 20000,
	'construction_cost_Concrete', 10000,
	'construction_cost_Metals', 5000,
	'construction_cost_Electronics', 15000,
	'build_points', 7000,
	'require_prefab', true,
	'is_tall', true,
	'upgrade1_id', "ElectronicsFactory_FactoryAI",
	'upgrade1_display_name', T{211455520486, --[[ModItemBuildingTemplate ElectronicsFactory_SPlus_4# upgrade1_display_name]] "工厂人工智能"},
	'upgrade1_description', T{866707681041, --[[ModItemBuildingTemplate ElectronicsFactory_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 产量。"},
	'upgrade1_icon', "UI/Icons/Upgrades/factory_ai_01.tga",
	'upgrade1_upgrade_cost_Electronics', 5000,
	'upgrade1_upgrade_cost_MachineParts', 2000,
	'upgrade1_mod_label_1', "ElectronicsFactory",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 50,
	'upgrade2_id', "ElectronicsFactory_Automation",
	'upgrade2_display_name', T{198308344829, --[[ModItemBuildingTemplate ElectronicsFactory_SPlus_4# upgrade2_display_name]] "自动化"},
	'upgrade2_description', T{971597084520, --[[ModItemBuildingTemplate ElectronicsFactory_SPlus_4# upgrade2_description]] "工作场所减少<abs(upgrade2_add_value_1)>."},
	'upgrade2_icon', "UI/Icons/Upgrades/automation_01.tga",
	'upgrade2_upgrade_cost_Polymers', 5000,
	'upgrade2_upgrade_cost_Electronics', 5000,
	'upgrade2_mod_label_1', "ElectronicsFactory",
	'upgrade2_mod_prop_id_1', "max_workers",
	'upgrade2_add_value_1', -5,
	'upgrade3_id', "ElectronicsFactory_Amplify",
	'upgrade3_display_name', T{386962181592, --[[ModItemBuildingTemplate ElectronicsFactory_SPlus_4# upgrade3_display_name]] "超頻增產"},
	'upgrade3_description', T{984300235603, --[[ModItemBuildingTemplate ElectronicsFactory_SPlus_4# upgrade3_description]] "+400% 使用10倍電力增產"},
	'upgrade3_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade3_upgrade_cost_Polymers', 5000,
	'upgrade3_mod_label_1', "ElectronicsFactory",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 400,
	'upgrade3_mod_label_2', "ElectronicsFactory",
	'upgrade3_mod_prop_id_2', "electricity_consumption",
	'upgrade3_mul_value_2', 900,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 3000,
	'consumption_resource_type', "PreciousMetals",
	'consumption_max_storage', 100000,
	'consumption_amount', 300,
	'display_name', T{938652911798, --[[ModItemBuildingTemplate ElectronicsFactory_SPlus_4# display_name]] "<color 2 228 225>电子零件工厂</color>"},
	'display_name_pl', T{675633845633, --[[ModItemBuildingTemplate ElectronicsFactory_SPlus_4# display_name_pl]] "<color 2 228 225>电子零件工厂</color>"},
	'description', T{537602199385, --[[ModItemBuildingTemplate ElectronicsFactory_SPlus_4# description]] "用稀有金属制造电子零件。"},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/electronics_factory.tga",
	'build_pos', 7,
	'entity', "ElectronicsFactory",
	'encyclopedia_image', "UI/Encyclopedia/ElectronicsFactory.tga",
	'label1', "InsideBuildings",
	'label2', "OutsideBuildings",
	'label3', "OutsideBuildingsTargets",
	'palettes', "ElectronicFactory",
	'demolish_sinking', range(5, 10),
	'demolish_tilt_angle', range(720, 1020),
	'demolish_debris', 80,
	'electricity_consumption', 30000,
	'max_workers', 10,
	'specialist', "engineer",
	'automation', 50,
	'auto_performance', 50,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "FuelFactory_SPlus_4#",
	'template_class', "FuelFactory",
	'resource_produced1', "Fuel",
	'max_storage1', 500000,
	'production_per_day1', 50000,
	'construction_cost_Concrete', 5000,
	'construction_cost_Metals', 5000,
	'construction_cost_MachineParts', 5000,
	'build_points', 3000,
	'require_prefab', true,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "FuelFactory_Amplify",
	'upgrade1_display_name', T{305294751787, --[[ModItemBuildingTemplate FuelFactory_SPlus_4# upgrade1_display_name]] "超頻增產"},
	'upgrade1_description', T{940504338498, --[[ModItemBuildingTemplate FuelFactory_SPlus_4# upgrade1_description]] "+400% 使用10倍電力增產"},
	'upgrade1_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade1_upgrade_cost_Polymers', 2000,
	'upgrade1_mod_label_1', "FuelFactory",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 400,
	'upgrade1_mod_label_2', "FuelFactory",
	'upgrade1_mod_prop_id_2', "electricity_consumption",
	'upgrade1_mul_value_2', 900,
	'upgrade2_id', "FuelFactory_FactoryAI",
	'upgrade2_display_name', T{939787105253, --[[ModItemBuildingTemplate FuelFactory_SPlus_4# upgrade2_display_name]] "工厂人工智能"},
	'upgrade2_description', T{271964970762, --[[ModItemBuildingTemplate FuelFactory_SPlus_4# upgrade2_description]] "+100% 产量。"},
	'upgrade2_icon', "UI/Icons/Upgrades/factory_ai_01.tga",
	'upgrade2_upgrade_cost_Electronics', 5000,
	'upgrade2_upgrade_cost_MachineParts', 2000,
	'upgrade2_mod_label_1', "FuelFactory",
	'upgrade2_mod_prop_id_1', "production_per_day1",
	'upgrade2_mul_value_1', 100,
	'maintenance_resource_type', "MachineParts",
	'display_name', T{320947285021, --[[ModItemBuildingTemplate FuelFactory_SPlus_4# display_name]] "<color 2 228 225>燃料精炼厂</color>"},
	'display_name_pl', T{880231954782, --[[ModItemBuildingTemplate FuelFactory_SPlus_4# display_name_pl]] "<color 2 228 225>燃料精炼厂</color>"},
	'description', T{812441651849, --[[ModItemBuildingTemplate FuelFactory_SPlus_4# description]] "从水中精炼燃料。"},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/fuel_rafinery.tga",
	'build_pos', 9,
	'entity', "FuelRefinery",
	'encyclopedia_image', "UI/Encyclopedia/FuelRefinery.tga",
	'entity2', "FuelRefineryChrome",
	'entitydlc2', "dde",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "FuelFactory",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 80,
	'electricity_consumption', 10000,
	'water_consumption', 1000,
	'air_consumption', 0,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MachinePartsFactory_SPlus_4#",
	'template_class', "MachinePartsFactory",
	'resource_produced1', "MachineParts",
	'max_storage1', 500000,
	'production_per_day1', 20000,
	'construction_cost_Concrete', 10000,
	'construction_cost_Metals', 10000,
	'construction_cost_Electronics', 2000,
	'build_points', 7000,
	'require_prefab', true,
	'upgrade1_id', "MachinePartsFactory_FactoryAI",
	'upgrade1_display_name', T{974785293868, --[[ModItemBuildingTemplate MachinePartsFactory_SPlus_4# upgrade1_display_name]] "工厂人工智能"},
	'upgrade1_description', T{467486120444, --[[ModItemBuildingTemplate MachinePartsFactory_SPlus_4# upgrade1_description]] "+100% 产量。"},
	'upgrade1_icon', "UI/Icons/Upgrades/factory_ai_01.tga",
	'upgrade1_upgrade_cost_Electronics', 5000,
	'upgrade1_upgrade_cost_MachineParts', 2000,
	'upgrade1_mod_label_1', "MachinePartsFactory",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 50,
	'upgrade2_id', "MachinePartsFactory_Automation",
	'upgrade2_display_name', T{244072790499, --[[ModItemBuildingTemplate MachinePartsFactory_SPlus_4# upgrade2_display_name]] "自动化"},
	'upgrade2_description', T{611912809912, --[[ModItemBuildingTemplate MachinePartsFactory_SPlus_4# upgrade2_description]] "工作场所减少<abs(upgrade2_add_value_1)>."},
	'upgrade2_icon', "UI/Icons/Upgrades/automation_01.tga",
	'upgrade2_upgrade_cost_Polymers', 5000,
	'upgrade2_upgrade_cost_Electronics', 5000,
	'upgrade2_mod_label_1', "MachinePartsFactory",
	'upgrade2_mod_prop_id_1', "max_workers",
	'upgrade2_add_value_1', -5,
	'upgrade3_id', "MachinePartsFactory_Amplify",
	'upgrade3_display_name', T{563493603711, --[[ModItemBuildingTemplate MachinePartsFactory_SPlus_4# upgrade3_display_name]] "超頻增產"},
	'upgrade3_description', T{520415507454, --[[ModItemBuildingTemplate MachinePartsFactory_SPlus_4# upgrade3_description]] "+400% 使用10倍電力增產"},
	'upgrade3_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade3_upgrade_cost_Polymers', 5000,
	'upgrade3_mod_label_1', "MachinePartsFactory",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 400,
	'upgrade3_mod_label_2', "MachinePartsFactory",
	'upgrade3_mod_prop_id_2', "electricity_consumption",
	'upgrade3_mul_value_2', 900,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 2000,
	'consumption_resource_type', "Metals",
	'consumption_max_storage', 100000,
	'display_name', T{935556836814, --[[ModItemBuildingTemplate MachinePartsFactory_SPlus_4# display_name]] "<color 2 228 225>机械零件工厂</color>"},
	'display_name_pl', T{553166601140, --[[ModItemBuildingTemplate MachinePartsFactory_SPlus_4# display_name_pl]] "<color 2 228 225>机械零件工厂</color>"},
	'description', T{701062651045, --[[ModItemBuildingTemplate MachinePartsFactory_SPlus_4# description]] "用金属制造机械零件。"},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/machine_parts_factory.tga",
	'build_pos', 8,
	'entity', "MachinePartsFactory",
	'encyclopedia_image', "UI/Encyclopedia/MachinePartsFactory.tga",
	'label1', "InsideBuildings",
	'label2', "OutsideBuildings",
	'label3', "OutsideBuildingsTargets",
	'palettes', "MachineParts",
	'demolish_sinking', range(15, 25),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'electricity_consumption', 30000,
	'max_workers', 10,
	'specialist', "engineer",
	'automation', 50,
	'auto_performance', 50,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MetalsExtractor_SPlus_4#",
	'template_class', "MetalsExtractor",
	'resource_produced1', "Metals",
	'max_storage1', 400000,
	'production_per_day1', 40000,
	'resource_produced2', "WasteRock",
	'max_storage2', 400000,
	'stockpile_class2', "WasteRockStockpile",
	'construction_cost_Concrete', 20000,
	'construction_cost_Metals', 30000,
	'construction_cost_Polymers', 10000,
	'construction_cost_MachineParts', 5000,
	'build_points', 5000,
	'require_prefab', true,
	'is_tall', true,
	'dome_spot', "Spire",
	'dome_forbidden', true,
	'achievement', "FirstDomeSpire",
	'upgrade1_id', "MetalsExtractor_FueledExtractor",
	'upgrade1_display_name', T{424844739476, --[[ModItemBuildingTemplate MetalsExtractor_SPlus_4# upgrade1_display_name]] "助燃式挖掘机"},
	'upgrade1_description', T{540035320009, --[[ModItemBuildingTemplate MetalsExtractor_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 只要建筑物供应燃料，就可以生产。如果未提供燃料，建筑将继续运行，但将失去加成。"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_Polymers', 10000,
	'upgrade1_upgrade_cost_Electronics', 5000,
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_target_1', "parent_dome",
	'upgrade1_mod_label_1', "MetalsExtractor",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 30,
	'upgrade1_add_value_1', 30,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_max_storage', 200000,
	'upgrade1_consumption_amount', 800,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "MetalsExtractor_Amplify",
	'upgrade2_display_name', T{957243479849, --[[ModItemBuildingTemplate MetalsExtractor_SPlus_4# upgrade2_display_name]] "超頻增產"},
	'upgrade2_description', T{304948979848, --[[ModItemBuildingTemplate MetalsExtractor_SPlus_4# upgrade2_description]] "+400% 使用10倍電力增產"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "MetalsExtractor",
	'upgrade2_mod_prop_id_1', "production_per_day1",
	'upgrade2_mul_value_1', 400,
	'upgrade2_mod_label_2', "MetalsExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_mul_value_2', 900,
	'upgrade3_id', "MetalsExtractor_MagneticExtraction",
	'upgrade3_display_name', T{329187797896, --[[ModItemBuildingTemplate MetalsExtractor_SPlus_4# upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{390923738791, --[[ModItemBuildingTemplate MetalsExtractor_SPlus_4# upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "MetalsExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 50,
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 2000,
	'maintenance_threshold_base', 150000,
	'display_name', T{721990555767, --[[ModItemBuildingTemplate MetalsExtractor_SPlus_4# display_name]] "<color 2 228 225>金属挖掘机</color>"},
	'display_name_pl', T{249926017761, --[[ModItemBuildingTemplate MetalsExtractor_SPlus_4# display_name_pl]] "<color 2 228 225>金属挖掘机</color>"},
	'description', T{211399778978, --[[ModItemBuildingTemplate MetalsExtractor_SPlus_4# description]] "从地下资源点挖掘金属。所有挖掘机均会对周围建筑造成尘土污染。"},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/metals_extractor.tga",
	'build_pos', 3,
	'entity', "MetalsExtractor",
	'encyclopedia_image', "UI/Encyclopedia/MetalsExtractor.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "MoholeMine",
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'exploitation_resource', "Metals",
	'exploitation_radius', 64,
	'electricity_consumption', 10000,
	'max_workers', 6,
	'specialist', "geologist",
	'automation', 50,
	'auto_performance', 50,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "PolymerPlant_SPlus_4#",
	'template_class', "PolymerPlant",
	'resource_produced1', "Polymers",
	'max_storage1', 500000,
	'production_per_day1', 20000,
	'construction_cost_Concrete', 10000,
	'construction_cost_Metals', 5000,
	'construction_cost_MachineParts', 5000,
	'build_points', 7000,
	'require_prefab', true,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "PolymerPlant_FactoryAI",
	'upgrade1_display_name', T{461807974795, --[[ModItemBuildingTemplate PolymerPlant_SPlus_4# upgrade1_display_name]] "工厂人工智能"},
	'upgrade1_description', T{146916160363, --[[ModItemBuildingTemplate PolymerPlant_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 产量。"},
	'upgrade1_icon', "UI/Icons/Upgrades/factory_ai_01.tga",
	'upgrade1_upgrade_cost_Electronics', 5000,
	'upgrade1_upgrade_cost_MachineParts', 2000,
	'upgrade1_mod_label_1', "PolymerPlant",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 50,
	'upgrade2_id', "PolymerPlant_Automation",
	'upgrade2_display_name', T{550528472133, --[[ModItemBuildingTemplate PolymerPlant_SPlus_4# upgrade2_display_name]] "自动化"},
	'upgrade2_description', T{379845351406, --[[ModItemBuildingTemplate PolymerPlant_SPlus_4# upgrade2_description]] "工作场所减少<abs(upgrade2_add_value_1)>."},
	'upgrade2_icon', "UI/Icons/Upgrades/automation_01.tga",
	'upgrade2_upgrade_cost_Polymers', 5000,
	'upgrade2_upgrade_cost_Electronics', 5000,
	'upgrade2_mod_label_1', "PolymerPlant",
	'upgrade2_mod_prop_id_1', "max_workers",
	'upgrade2_add_value_1', -5,
	'upgrade3_id', "PolymerPlant_Amplify",
	'upgrade3_display_name', T{532483473282, --[[ModItemBuildingTemplate PolymerPlant_SPlus_4# upgrade3_display_name]] "超頻增產"},
	'upgrade3_description', T{959857531243, --[[ModItemBuildingTemplate PolymerPlant_SPlus_4# upgrade3_description]] "+400% 使用10倍電力增產"},
	'upgrade3_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade3_upgrade_cost_Polymers', 5000,
	'upgrade3_mod_label_1', "PolymerPlant",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 400,
	'upgrade3_mod_label_2', "PolymerPlant",
	'upgrade3_mod_prop_id_2', "electricity_consumption",
	'upgrade3_mul_value_2', 900,
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 2000,
	'consumption_resource_type', "Fuel",
	'consumption_max_storage', 200000,
	'consumption_resource_stockpile_spot_name', "",
	'display_name', T{889064784333, --[[ModItemBuildingTemplate PolymerPlant_SPlus_4# display_name]] "<color 2 228 225>聚合物工厂</color>"},
	'display_name_pl', T{178034084231, --[[ModItemBuildingTemplate PolymerPlant_SPlus_4# display_name_pl]] "<color 2 228 225>聚合物工厂</color>"},
	'description', T{584341638491, --[[ModItemBuildingTemplate PolymerPlant_SPlus_4# description]] "用水与燃料制造聚合物。"},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/polymer_plant.tga",
	'build_pos', 6,
	'entity', "PolymerPlant",
	'encyclopedia_image', "UI/Encyclopedia/PolymerFactory.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "PolumerPlant",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(300, 600),
	'electricity_consumption', 30000,
	'max_workers', 10,
	'specialist', "engineer",
	'automation', 50,
	'auto_performance', 50,
	'water_consumption', 1000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "PreciousMetalsExtractor_SPlus_4#",
	'template_class', "PreciousMetalsExtractor",
	'resource_produced1', "PreciousMetals",
	'max_storage1', 400000,
	'production_per_day1', 15000,
	'resource_produced2', "WasteRock",
	'max_storage2', 400000,
	'stockpile_class2', "WasteRockStockpile",
	'construction_cost_Metals', 20000,
	'construction_cost_MachineParts', 5000,
	'build_points', 5000,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "PreciousMetalsExtractor_FueledExtractor",
	'upgrade1_display_name', T{766323821895, --[[ModItemBuildingTemplate PreciousMetalsExtractor_SPlus_4# upgrade1_display_name]] "助燃式挖掘机"},
	'upgrade1_description', T{566721925771, --[[ModItemBuildingTemplate PreciousMetalsExtractor_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 只要建筑物供应燃料，就可以生产。如果未提供燃料，建筑将继续运行，但将失去加成。"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "PreciousMetalsExtractor",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 30,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_amount', 800,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "PreciousMetalsExtractor_Amplify",
	'upgrade2_display_name', T{377887342180, --[[ModItemBuildingTemplate PreciousMetalsExtractor_SPlus_4# upgrade2_display_name]] "超頻增產"},
	'upgrade2_description', T{147681891568, --[[ModItemBuildingTemplate PreciousMetalsExtractor_SPlus_4# upgrade2_description]] "+400% 使用10倍電力增產"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "PreciousMetalsExtractor",
	'upgrade2_mod_prop_id_1', "electricity_consumption",
	'upgrade2_mul_value_1', 900,
	'upgrade2_mod_label_2', "PreciousMetalsExtractor",
	'upgrade2_mod_prop_id_2', "production_per_day1",
	'upgrade2_mul_value_2', 400,
	'upgrade3_id', "PreciousMetalsExtractor_MagneticExtraction",
	'upgrade3_display_name', T{769282331043, --[[ModItemBuildingTemplate PreciousMetalsExtractor_SPlus_4# upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{810325196722, --[[ModItemBuildingTemplate PreciousMetalsExtractor_SPlus_4# upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "PreciousMetalsExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 50,
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 2000,
	'maintenance_threshold_base', 150000,
	'display_name', T{608874181124, --[[ModItemBuildingTemplate PreciousMetalsExtractor_SPlus_4# display_name]] "<color 2 228 225>稀有金属挖掘机</color>"},
	'display_name_pl', T{404784045915, --[[ModItemBuildingTemplate PreciousMetalsExtractor_SPlus_4# display_name_pl]] "<color 2 228 225>稀有金属挖掘机</color>"},
	'description', T{658220703297, --[[ModItemBuildingTemplate PreciousMetalsExtractor_SPlus_4# description]] "从地下资源点开采稀有金属，挖掘机会对附近的建筑物造成尘土污染。"},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/universal_extractor.tga",
	'build_pos', 5,
	'entity', "UniversalExtractor",
	'encyclopedia_image', "UI/Encyclopedia/RareMetalsExtractor.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'color_modifier', RGBA(169, 97, 97, 255),
	'palettes', "UniversalExtractor",
	'demolish_sinking', range(5, 10),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 68,
	'exploitation_resource', "PreciousMetals",
	'exploitation_radius', 64,
	'electricity_consumption', 10000,
	'max_workers', 6,
	'specialist', "geologist",
	'automation', 50,
	'auto_performance', 50,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "RegolithExtractor_SPlus_4#",
	'template_class', "RegolithExtractor",
	'resource_produced1', "Concrete",
	'max_storage1', 400000,
	'production_per_day1', 40000,
	'resource_produced2', "WasteRock",
	'max_storage2', 400000,
	'stockpile_class2', "WasteRockStockpile",
	'construction_cost_Metals', 6000,
	'construction_cost_MachineParts', 2000,
	'build_points', 3000,
	'dome_forbidden', true,
	'force_extend_bb_during_placement_checks', 12000,
	'upgrade1_id', "RegolithExtractor_FueledExtractor",
	'upgrade1_display_name', T{462979169090, --[[ModItemBuildingTemplate RegolithExtractor_SPlus_4# upgrade1_display_name]] "助燃式挖掘机"},
	'upgrade1_description', T{432451388686, --[[ModItemBuildingTemplate RegolithExtractor_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 只要建筑物供应燃料，就可以生产。如果未提供燃料，建筑将继续运行，但将失去加成。"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "RegolithExtractor",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 30,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_amount', 800,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "RegolithExtractor_Amplify",
	'upgrade2_display_name', T{308153170874, --[[ModItemBuildingTemplate RegolithExtractor_SPlus_4# upgrade2_display_name]] "超頻增產"},
	'upgrade2_description', T{967872410787, --[[ModItemBuildingTemplate RegolithExtractor_SPlus_4# upgrade2_description]] "+400% 使用10倍電力增產"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "RegolithExtractor",
	'upgrade2_mod_prop_id_1', "production_per_day1",
	'upgrade2_mul_value_1', 400,
	'upgrade2_mod_label_2', "RegolithExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_mul_value_2', 900,
	'upgrade3_id', "RegolithExtractor_MagneticExtraction",
	'upgrade3_display_name', T{958747329551, --[[ModItemBuildingTemplate RegolithExtractor_SPlus_4# upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{426532596128, --[[ModItemBuildingTemplate RegolithExtractor_SPlus_4# upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "RegolithExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 50,
	'maintenance_resource_type', "MachineParts",
	'maintenance_threshold_base', 150000,
	'display_name', T{262445490518, --[[ModItemBuildingTemplate RegolithExtractor_SPlus_4# display_name]] "<color 2 228 225>混凝土挖掘机</color>"},
	'display_name_pl', T{175765864994, --[[ModItemBuildingTemplate RegolithExtractor_SPlus_4# display_name_pl]] "<color 2 228 225>混凝土挖掘机</color>"},
	'description', T{483976883363, --[[ModItemBuildingTemplate RegolithExtractor_SPlus_4# description]] "从混凝土矿藏中提炼含硫风化土，并生产混凝土。所有挖掘机都会使附近的建筑污染尘土。"},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/regolith_extractor.tga",
	'entity', "RegolithExtractor",
	'encyclopedia_image', "UI/Encyclopedia/ConcreteExtractor.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "MoholeMine",
	'demolish_sinking', range(20, 20),
	'demolish_tilt_angle', range(600, 600),
	'demolish_debris', 0,
	'exploitation_radius', 10,
	'electricity_consumption', 10000,
}),
PlaceObj('ModItemCode', {
	'FileName', "Code/Script.lua",
}),
}
