return {
PlaceObj('ModItemBuildingTemplate', {
	'name', "FungalFarm_SPlus_4#",
	'template_class', "FungalFarm",
	'resource_produced1', "Food",
	'max_storage1', 300000,
	'production_per_day1', 20000,
	'construction_cost_Concrete', 10000,
	'construction_cost_Metals', 15000,
	'construction_cost_Electronics', 5000,
	'build_points', 6000,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "SuperfungusUpgrade",
	'upgrade1_display_name', T{153050840632, --[[ModItemBuildingTemplate FungalFarm_SPlus_4# upgrade1_display_name]] "超级真菌"},
	'upgrade1_description', T{426344339014, --[[ModItemBuildingTemplate FungalFarm_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 产量； +<upgrade1_mul_value_2>% 氧气消耗"},
	'upgrade1_icon', "UI/Icons/Upgrades/superfungus_01.tga",
	'upgrade1_upgrade_cost_Polymers', 10000,
	'upgrade1_mod_label_1', "FungalFarm",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 50,
	'upgrade1_mod_label_2', "FungalFarm",
	'upgrade1_mod_prop_id_2', "air_consumption",
	'upgrade1_mul_value_2', 100,
	'upgrade2_id', "FungalFarm_Automation",
	'upgrade2_display_name', T{626556298898, --[[ModItemBuildingTemplate FungalFarm_SPlus_4# upgrade2_display_name]] "自动化"},
	'upgrade2_description', T{376444092664, --[[ModItemBuildingTemplate FungalFarm_SPlus_4# upgrade2_description]] "工作场所减少<abs(upgrade2_add_value_1)>."},
	'upgrade2_icon', "UI/Icons/Upgrades/automation_01.tga",
	'upgrade2_upgrade_cost_Electronics', 10000,
	'upgrade2_mod_label_1', "FungalFarm",
	'upgrade2_mod_prop_id_1', "max_workers",
	'upgrade2_add_value_1', -3,
	'maintenance_resource_type', "Metals",
	'display_name', T{574287454084, --[[ModItemBuildingTemplate FungalFarm_SPlus_4# display_name]] "<color 2 228 225>菌类农场</color>"},
	'display_name_pl', T{397900440875, --[[ModItemBuildingTemplate FungalFarm_SPlus_4# display_name_pl]] "<color 2 228 225>菌类农场</color>"},
	'description', T{955261410096, --[[ModItemBuildingTemplate FungalFarm_SPlus_4# description]] "生产粮食。"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/fungal_farm.tga",
	'build_pos', 10,
	'entity', "FungalFarm",
	'encyclopedia_image', "UI/Encyclopedia/FungalFarm.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "FungalFarm",
	'demolish_sinking', range(10, 20),
	'demolish_tilt_angle', range(300, 600),
	'electricity_consumption', 10000,
	'water_consumption', 500,
	'air_consumption', 2000,
	'active_shift', 1,
	'enabled_shift_2', false,
	'enabled_shift_3', false,
	'max_workers', 6,
	'specialist', "botanist",
	'automation', 50,
	'auto_performance', 50,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MOXIE_SPlus_4#",
	'template_class', "MOXIE",
	'pin_rollover_context', "air",
	'construction_cost_Metals', 5000,
	'build_points', 1500,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "MOXIE_MagneticFiltering",
	'upgrade1_display_name', T{380156688289, --[[ModItemBuildingTemplate MOXIE_SPlus_4# upgrade1_display_name]] "磁性过滤"},
	'upgrade1_description', T{670653359073, --[[ModItemBuildingTemplate MOXIE_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 产量。"},
	'upgrade1_icon', "UI/Icons/Upgrades/magnetic_filtering_01.tga",
	'upgrade1_upgrade_cost_Polymers', 5000,
	'upgrade1_mod_label_1', "MOXIE",
	'upgrade1_mod_prop_id_1', "air_production",
	'upgrade1_mul_value_1', 200,
	'maintenance_resource_type', "Metals",
	'maintenance_resource_amount', 2000,
	'display_name', T{129973151523, --[[ModItemBuildingTemplate MOXIE_SPlus_4# display_name]] "<color 2 228 225>火星氧搜集装置</color>"},
	'display_name_pl', T{234793538323, --[[ModItemBuildingTemplate MOXIE_SPlus_4# display_name_pl]] "<color 2 228 225>火星氧搜集装置</color>"},
	'description', T{340731209890, --[[ModItemBuildingTemplate MOXIE_SPlus_4# description]] "生产氧气，在沙尘暴期间没有产能。"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/moxie.tga",
	'entity', "Moxie",
	'suspend_on_dust_storm', true,
	'encyclopedia_text', T{547378685278, --[[ModItemBuildingTemplate MOXIE_SPlus_4# encyclopedia_text]] "火星氧搜集装置，应用 MOXIE (Mars Oxygen In situ resource utilization Experiment 的缩写) 科技，从富含二氧化碳的火星大气中产生氧气。\n\n<center><image UI/Common/rollover_line.tga 2000> <left>\n\n在二十世纪开发，但在二十一世纪初期首次在火星漫游车上进行测试，在当时的这项实验技术现在成为我们在外星世界第一个殖民地的生命支持骨干。\n\n这些仪器只需要电力和定期维护，当然，这与我们的殖民地的生命线息息相关。"},
	'encyclopedia_image', "UI/Encyclopedia/MOXIE.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "Moxie",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'electricity_consumption', 2000,
	'air_production', 20000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MoistureVaporator_SPlus_4#",
	'template_class', "MoistureVaporator",
	'pin_rollover_context', "water",
	'construction_cost_Metals', 2000,
	'construction_cost_Polymers', 5000,
	'build_points', 3000,
	'require_prefab', true,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "MoistureVaporator_HygroscopicCoating",
	'upgrade1_display_name', T{883561052818, --[[ModItemBuildingTemplate MoistureVaporator_SPlus_4# upgrade1_display_name]] "吸潮镀膜"},
	'upgrade1_description', T{838194851709, --[[ModItemBuildingTemplate MoistureVaporator_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 产量。"},
	'upgrade1_icon', "UI/Icons/Upgrades/hygroscopic_coating_01.tga",
	'upgrade1_upgrade_cost_Polymers', 2000,
	'upgrade1_mod_label_1', "MoistureVaporator",
	'upgrade1_mod_prop_id_1', "water_production",
	'upgrade1_mul_value_1', 100,
	'upgrade2_id', "VectorPump",
	'upgrade2_display_name', T{922151843189, --[[ModItemBuildingTemplate MoistureVaporator_SPlus_4# upgrade2_display_name]] "向量泵"},
	'upgrade2_description', T{592761000458, --[[ModItemBuildingTemplate MoistureVaporator_SPlus_4# upgrade2_description]] "+<upgrade2_mul_value_1>% 产量。"},
	'upgrade2_icon', "UI/Icons/Upgrades/vector_pump_01.tga",
	'upgrade2_upgrade_cost_Polymers', 5000,
	'upgrade2_mod_label_1', "MoistureVaporator",
	'upgrade2_mod_prop_id_1', "water_production",
	'upgrade2_mul_value_1', 200,
	'maintenance_resource_type', "Metals",
	'maintenance_resource_amount', 2000,
	'display_name', T{530978364271, --[[ModItemBuildingTemplate MoistureVaporator_SPlus_4# display_name]] "<color 2 228 225>水分蒸发机</color>"},
	'display_name_pl', T{667475496713, --[[ModItemBuildingTemplate MoistureVaporator_SPlus_4# display_name_pl]] "<color 2 228 225>水分蒸发机</color>"},
	'description', T{329245192085, --[[ModItemBuildingTemplate MoistureVaporator_SPlus_4# description]] "从大气中收集水分，太靠近其他搜集器会降低产量。在沙尘暴期间无法产出。"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/moisture_vaporator.tga",
	'build_pos', 4,
	'entity', "MoistureVaporator",
	'show_range_all', true,
	'suspend_on_dust_storm', true,
	'encyclopedia_text', T{804650693073, --[[ModItemBuildingTemplate MoistureVaporator_SPlus_4# encyclopedia_text]] "当沉积水不再是可行的选择，水分蒸发器提供了无限的、速度更慢、更耗能的水供应。\n\n<center><image UI/Common/rollover_line.tga 2000> <left>\n\n湿气蒸发器基于WAVAR技术（水蒸气吸附反应器），该过程通过在沸石吸附床上交替吹气并加热提取吸收的水气，从火星大气中直接提取水。\n虽然出水量少于水资源挖掘机，但其产生的水量并不止于此，其机械简单性意味着水分蒸发机可以部署在火星表面的任何地方。"},
	'encyclopedia_image', "UI/Encyclopedia/MoistureVaporator.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "MoistureVaporator",
	'demolish_sinking', range(5, 15),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'water_production', 20000,
	'electricity_consumption', 5000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "WaterExtractor_SPlus_4#",
	'template_class', "WaterExtractor",
	'resource_produced1', "WasteRock",
	'max_storage1', 400000,
	'stockpile_class1', "WasteRockStockpile",
	'pin_rollover_context', "water",
	'construction_cost_Concrete', 6000,
	'construction_cost_MachineParts', 2000,
	'build_points', 3000,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "WaterExtractor_FueledExtractor",
	'upgrade1_display_name', T{581236074592, --[[ModItemBuildingTemplate WaterExtractor_SPlus_4# upgrade1_display_name]] "助燃式挖掘机"},
	'upgrade1_description', T{424750304452, --[[ModItemBuildingTemplate WaterExtractor_SPlus_4# upgrade1_description]] "+<upgrade1_mul_value_1>% 只要建筑物供应燃料，就可以生产。如果未提供燃料，建筑将继续运行，但将失去加成。"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "WaterExtractor",
	'upgrade1_mod_prop_id_1', "water_production",
	'upgrade1_mul_value_1', 100,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_max_storage', 200000,
	'upgrade1_consumption_amount', 200,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "WaterExtractor_Amplify",
	'upgrade2_display_name', T{466481713508, --[[ModItemBuildingTemplate WaterExtractor_SPlus_4# upgrade2_display_name]] "增幅"},
	'upgrade2_description', T{285515756083, --[[ModItemBuildingTemplate WaterExtractor_SPlus_4# upgrade2_description]] "+<upgrade2_mul_value_1>% 产量； + 消耗。"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "WaterExtractor",
	'upgrade2_mod_prop_id_1', "water_production",
	'upgrade2_mul_value_1', 400,
	'upgrade2_mod_label_2', "WaterExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_mul_value_2', 2900,
	'upgrade3_id', "WaterExtractor_MagneticExtraction",
	'upgrade3_display_name', T{960422803145, --[[ModItemBuildingTemplate WaterExtractor_SPlus_4# upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{377669880597, --[[ModItemBuildingTemplate WaterExtractor_SPlus_4# upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "WaterExtractor",
	'upgrade3_mod_prop_id_1', "water_production",
	'upgrade3_mul_value_1', 100,
	'maintenance_resource_type', "MachineParts",
	'maintenance_threshold_base', 150000,
	'display_name', T{335808222791, --[[ModItemBuildingTemplate WaterExtractor_SPlus_4# display_name]] "<color 2 228 225>水资源挖掘机</color>"},
	'display_name_pl', T{107028443466, --[[ModItemBuildingTemplate WaterExtractor_SPlus_4# display_name_pl]] "<color 2 228 225>水资源挖掘机</color>"},
	'description', T{846340085079, --[[ModItemBuildingTemplate WaterExtractor_SPlus_4# description]] "从地底汲取水源。所有提取器都会导致邻接建筑积尘。"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/water_extractor.tga",
	'build_pos', 3,
	'entity', "WaterExtractor",
	'encyclopedia_image', "UI/Encyclopedia/WaterExtractor.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "WaterExtractor",
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(0, 0),
	'electricity_consumption', 5000,
	'water_production', 30000,
	'exploitation_resource', "Water",
	'exploitation_radius', 64,
}),
PlaceObj('ModItemCode', {
	'FileName', "Code/Script.lua",
}),
}
