return {
PlaceObj('ModItemBuildingTemplate', {
	'name', "ShuttleHub",
	'template_class', "ShuttleHub",
	'construction_cost_Concrete', 10000,
	'construction_cost_Polymers', 15000,
	'construction_cost_Electronics', 10000,
	'build_points', 5000,
	'is_tall', true,
	'dome_forbidden', true,
	'achievement', "FirstShuttleHub",
	'maintenance_resource_type', "Electronics",
	'consumption_resource_type', "Fuel",
	'consumption_max_storage', 100000,
	'consumption_amount', 1500,
	'consumption_type', 3,
	'display_name', T{895795314584, --[[ModItemBuildingTemplate ShuttleHub display_name]] "<color 2 228 225>穿梭机中心</color>"},
	'display_name_pl', T{378279473997, --[[ModItemBuildingTemplate ShuttleHub display_name_pl]] "<color 2 228 225>穿梭机中心</color>"},
	'description', T{282623223677, --[[ModItemBuildingTemplate ShuttleHub description]] "存放并给穿梭机加油，可以促进各存放区之间的远程资源运输，也可以重新安排各穹顶之间的殖民者。"},
	'build_category', "Infrastructure",
	'display_icon', "UI/Icons/Buildings/shuttle_hub.tga",
	'build_pos', 7,
	'entity', "ShuttleHub",
	'suspend_on_dust_storm', true,
	'encyclopedia_image', "UI/Encyclopedia/ShuttleHub.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "ShuttleHUb",
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'electricity_consumption', 10000,
	'water_consumption', 0,
	'starting_shuttles', 10,
	'max_shuttles', 16,
}),
}
